<%--
    Licensed Materials - Property of IBM
    (c) Copyright IBM Corporation 2011, 2013. All Rights Reserved.
   
    Note to U.S. Government Users Restricted Rights:  
    Use, duplication or disclosure restricted by GSA ADP Schedule 
    Contract with IBM Corp. 
--%>
<%@ tag language="java" pageEncoding="UTF-8"
	import="net.jazz.web.jsp.internal.tags.HTMLPage"
	import="net.jazz.ajax.model.Resource"%>
<%@ attribute name="requiredModules" required="true"%>
<%@ attribute name="title" required="true"%>
<%@ attribute name="bodyClass"%>
<%@ attribute name="icon"%>
<!DOCTYPE html>
<% HTMLPage htmlPage = new HTMLPage(jspContext, requiredModules, request);
%><html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" >
	<meta http-equiv="X-UA-Compatible" content="IE=10">
	<title>${title}<%-- TODO fn:escapeXml(title) --%></title>
	<% if (getIcon() != null) { %>
		<link rel="shortcut icon" href="${icon}">
	<% } %>
	<base href="${contextRoot}/"/>
	<link rel="stylesheet" href="${style}" >
</head>
<body class="claro $bodyClass">
	<noscript><div style="color: #D0D0D0;font-size: 2em;text-align: center;position: absolute;top: 1%;z-index: 999;">Javascript not supported</div></noscript>
	<script type="text/javascript">
		djConfig = {
			isDebug: ${isDebugEnabled},
			usePlainJson: true,
			baseUrl: "${baseUrl}",
			locale: "${locale}",
			localizationComplete: true,
			serverTemplated: true
		};
		net = {jazz: {ajax: {_contextRoot: "${contextRoot}"	}}};
	</script>
 	<%
 	htmlPage.graph.writeJavascriptTags(out);
	out.flush();
	%><jsp:doBody/>
</body>
</html>
