SET CURRENT SCHEMA $CALM_SCHEMA;

CREATE TABLE REQUEST_COMPONENT_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_COMPONENT_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_CATEGORY_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_CATEGORY_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_RESOURCE_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RESOURCE_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_RELEASE_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RELEASE_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_ITERATION_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_ITERATION_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_PROJECT_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_PROJECT_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_TEAM_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TEAM_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_TIMELINE_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TIMELINE_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_REQUEST_EXT (
		REQUEST_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_COMPONENT_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_COMPONENT_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_CATEGORY_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_CATEGORY_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_RESOURCE_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RESOURCE_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_RELEASE_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RELEASE_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_ITERATION_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_ITERATION_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_PROJECT_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_PROJECT_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_TEAM_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TEAM_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_TIMELINE_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TIMELINE_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE REQUEST_HISTORY_REQUEST_EXT (
		REQUEST_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		NAME VARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_ID INTEGER DEFAULT -1 NOT NULL
) IN DATABASE $DBNAME;

CREATE TABLE TEMP_REQUIREMENT_STG (
		ID INTEGER NOT NULL, 
		NAME VARCHAR(255), 
		EXTERNAL_ID VARCHAR(100), 
		EXTERNAL_KEY1 VARCHAR(250), 
		FORMAT VARCHAR(250), 
		CREATORUUID VARCHAR(100), 
		CREATION_DATE TIMESTAMP, 
		REC_DATETIME TIMESTAMP, 
		PROJECTUUID VARCHAR(100), 
		URL VARCHAR(2048),   
		REQUIREMENT_TYPE VARCHAR(255), 
		DATATYPE VARCHAR(255), 
		ISENUMERATION VARCHAR(250), 
		REQUIREMENT_ATTRDEF_ID VARCHAR(255), 
		LITERALID VARCHAR(255), 
		LITERAL_NAME VARCHAR(255), 
		ATTRNAME VARCHAR(255), 
		VAL VARCHAR(255),  
		ATTRTYPENAME VARCHAR(255), 
		REQUIREMENT_TYPE_ID VARCHAR(255),  
		REQUIREMENTUUID VARCHAR(100), 
		PROJECTAREAUUID VARCHAR(100), 
		ISDELETED VARCHAR(250), 
		ISMULTIVALUED VARCHAR(250), 
		DATASOURCE_ID VARCHAR(36)
) IN DATABASE $DBNAME;

CREATE TABLE TEMP_REQUIREMENT_LINK_STG (
		ID INTEGER NOT NULL, 
		EXTERNAL_ID VARCHAR(100), 
		FORMAT VARCHAR(250), 
		IMPLEMENTEDBY VARCHAR(100), 
		IMPLEMENTEDBYURL VARCHAR(2048), 
		VALIDATEDBY VARCHAR(100), 
		EXTERNAL_UUID VARCHAR(100), 
		EXTERNAL_URL VARCHAR(2048), 
		EXTERNAL_LABEL VARCHAR(255), 
		EXTERNALLINKTYPE VARCHAR(100), 
		LINKRELATION VARCHAR(100), 
		LINKRELATIONURL VARCHAR(2048), 
		AFFECTEDBY VARCHAR(100), 
		TRACKEDBY VARCHAR(100), 
		LINKTITLE VARCHAR(255), 
		LINKTYPEUUID VARCHAR(100), 
		LINKTYPENAME VARCHAR(255), 
		ISPARENTLINK VARCHAR(250), 
		ISCHILDLINK VARCHAR(250), 
		MODULEARTIFACTUUID VARCHAR(100), 
		MODULEUUID VARCHAR(100), 
		DATASOURCE_ID VARCHAR(36)
) IN DATABASE $DBNAME;

CREATE TABLE RQRMENT_TIMESTAMP_EXT (
		REQUIREMENT_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL TIMESTAMP
) IN DATABASE $DBNAME;

CREATE TABLE RQRMENT_HISTORY_TIMESTAMP_EXT (
		REQUIREMENT_HISTORY_ID INTEGER DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INTEGER DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL TIMESTAMP
) IN DATABASE $DBNAME;

CREATE INDEX REQCMPEXT_IDX1 ON REQUEST_COMPONENT_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQCMPEXT_IDX2 ON REQUEST_COMPONENT_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQCTGEXT_IDX1 ON REQUEST_CATEGORY_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQCTGEXT_IDX2 ON REQUEST_CATEGORY_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQRSREXT_IDX1 ON REQUEST_RESOURCE_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQRSREXT_IDX2 ON REQUEST_RESOURCE_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQRLSEXT_IDX1 ON REQUEST_RELEASE_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQRLSEXT_IDX2 ON REQUEST_RELEASE_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQITEEXT_IDX1 ON REQUEST_ITERATION_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQITEEXT_IDX2 ON REQUEST_ITERATION_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQPRJEXT_IDX1 ON REQUEST_PROJECT_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQPRJEXT_IDX2 ON REQUEST_PROJECT_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQTMAEXT_IDX1 ON REQUEST_TEAM_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQTMAEXT_IDX2 ON REQUEST_TEAM_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQTLNEXT_IDX1 ON REQUEST_TIMELINE_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQTLNEXT_IDX2 ON REQUEST_TIMELINE_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQREQEXT_IDX1 ON REQUEST_REQUEST_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQREQEXT_IDX2 ON REQUEST_REQUEST_EXT (REQUEST_ID ASC, NAME ASC);

CREATE INDEX REQHISCMPEXT_IDX1 ON REQUEST_HISTORY_COMPONENT_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISCMPEXT_IDX2 ON REQUEST_HISTORY_COMPONENT_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISCTGEXT_IDX1 ON REQUEST_HISTORY_CATEGORY_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISCTGEXT_IDX2 ON REQUEST_HISTORY_CATEGORY_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISRSREXT_IDX1 ON REQUEST_HISTORY_RESOURCE_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISRSREXT_IDX2 ON REQUEST_HISTORY_RESOURCE_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISRLSEXT_IDX1 ON REQUEST_HISTORY_RELEASE_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISRLSEXT_IDX2 ON REQUEST_HISTORY_RELEASE_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISITEEXT_IDX1 ON REQUEST_HISTORY_ITERATION_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISITEEXT_IDX2 ON REQUEST_HISTORY_ITERATION_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISPRJEXT_IDX1 ON REQUEST_HISTORY_PROJECT_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISPRJEXT_IDX2 ON REQUEST_HISTORY_PROJECT_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISTMAEXT_IDX1 ON REQUEST_HISTORY_TEAM_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISTMAEXT_IDX2 ON REQUEST_HISTORY_TEAM_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISTLNEXT_IDX1 ON REQUEST_HISTORY_TIMELINE_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISTLNEXT_IDX2 ON REQUEST_HISTORY_TIMELINE_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX REQHISREQEXT_IDX1 ON REQUEST_HISTORY_REQUEST_EXT (ISSOFTDELETED ASC);

CREATE INDEX REQHISREQEXT_IDX2 ON REQUEST_HISTORY_REQUEST_EXT (REQUEST_HISTORY_ID ASC, NAME ASC);

CREATE INDEX RQRTMPEXT_IDX1 ON RQRMENT_TIMESTAMP_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC);

CREATE INDEX RQRTMPEXT_IDX2 ON RQRMENT_TIMESTAMP_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC);

CREATE INDEX RQRHISTMPEXT_IDX1 ON RQRMENT_HISTORY_TIMESTAMP_EXT (ISSOFTDELETED ASC);

CREATE INDEX RQRHISTMPEXT_IDX2 ON RQRMENT_HISTORY_TIMESTAMP_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC);

CREATE INDEX RQRHISTMPEXT_IDX3 ON RQRMENT_HISTORY_TIMESTAMP_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC);

ALTER TABLE REQUEST_COMPONENT_EXT ADD CONSTRAINT REQCMPEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_COMPONENT_EXT ADD CONSTRAINT REQCMPEXT_FK2 FOREIGN KEY (VAL_COMPONENT_ID) 
	REFERENCES $NF_SCHEMA.COMPONENT (COMPONENT_ID);

ALTER TABLE REQUEST_CATEGORY_EXT ADD CONSTRAINT REQCTGEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_CATEGORY_EXT ADD CONSTRAINT REQCTGEXT_FK2 FOREIGN KEY (VAL_REQUEST_CATEGORY_ID) 
	REFERENCES $NF_SCHEMA.REQUEST_CATEGORY (REQUEST_CATEGORY_ID);

ALTER TABLE REQUEST_RESOURCE_EXT ADD CONSTRAINT REQRSREXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_RESOURCE_EXT ADD CONSTRAINT REQRSREXT_FK2 FOREIGN KEY (VAL_RESOURCE_ID) 
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID);
	
ALTER TABLE REQUEST_RELEASE_EXT ADD CONSTRAINT REQRLSEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_RELEASE_EXT ADD CONSTRAINT REQRLSEXT_FK2 FOREIGN KEY (VAL_RELEASE_ID) 
	REFERENCES $NF_SCHEMA.RELEASE (RELEASE_ID);
	
ALTER TABLE REQUEST_ITERATION_EXT ADD CONSTRAINT REQITEEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_ITERATION_EXT ADD CONSTRAINT REQITEEXT_FK2 FOREIGN KEY (VAL_ITERATION_ID) 
	REFERENCES $NF_SCHEMA.ITERATION (ITERATION_ID);
	
ALTER TABLE REQUEST_PROJECT_EXT ADD CONSTRAINT REQPRJEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_PROJECT_EXT ADD CONSTRAINT REQPRJEXT_FK2 FOREIGN KEY (VAL_PROJECT_ID) 
	REFERENCES $NF_SCHEMA.PROJECT (PROJECT_ID);
	
ALTER TABLE REQUEST_TEAM_EXT ADD CONSTRAINT REQTMAEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_TEAM_EXT ADD CONSTRAINT REQTMAEXT_FK2 FOREIGN KEY (VAL_TEAM_ID) 
	REFERENCES $NF_SCHEMA.TEAM (TEAM_ID);
	
ALTER TABLE REQUEST_TIMELINE_EXT ADD CONSTRAINT REQTLNEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_TIMELINE_EXT ADD CONSTRAINT REQTLNEXT_FK2 FOREIGN KEY (VAL_TIMELINE_ID) 
	REFERENCES $NF_SCHEMA.TIMELINE (TIMELINE_ID);
	
ALTER TABLE REQUEST_REQUEST_EXT ADD CONSTRAINT REQREQEXT_FK1 FOREIGN KEY (REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_REQUEST_EXT ADD CONSTRAINT REQREQEXT_FK2 FOREIGN KEY (VAL_REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);
	
ALTER TABLE REQUEST_HISTORY_COMPONENT_EXT ADD CONSTRAINT REQHISCMPEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_COMPONENT_EXT ADD CONSTRAINT REQHISCMPEXT_FK2 FOREIGN KEY (VAL_COMPONENT_ID) 
	REFERENCES $NF_SCHEMA.COMPONENT (COMPONENT_ID);

ALTER TABLE REQUEST_HISTORY_CATEGORY_EXT ADD CONSTRAINT REQHISCTGEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_CATEGORY_EXT ADD CONSTRAINT REQHISCTGEXT_FK2 FOREIGN KEY (VAL_REQUEST_CATEGORY_ID) 
	REFERENCES $NF_SCHEMA.REQUEST_CATEGORY (REQUEST_CATEGORY_ID);

ALTER TABLE REQUEST_HISTORY_RESOURCE_EXT ADD CONSTRAINT REQHISRSREXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_RESOURCE_EXT ADD CONSTRAINT REQHISRSREXT_FK2 FOREIGN KEY (VAL_RESOURCE_ID) 
	REFERENCES $NF_SCHEMA.RESOURCE (RESOURCE_ID);
	
ALTER TABLE REQUEST_HISTORY_RELEASE_EXT ADD CONSTRAINT REQHISRLSEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_RELEASE_EXT ADD CONSTRAINT REQHISRLSEXT_FK2 FOREIGN KEY (VAL_RELEASE_ID) 
	REFERENCES $NF_SCHEMA.RELEASE (RELEASE_ID);
	
ALTER TABLE REQUEST_HISTORY_ITERATION_EXT ADD CONSTRAINT REQHISITEEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_ITERATION_EXT ADD CONSTRAINT REQHISITEEXT_FK2 FOREIGN KEY (VAL_ITERATION_ID) 
	REFERENCES $NF_SCHEMA.ITERATION (ITERATION_ID);
	
ALTER TABLE REQUEST_HISTORY_PROJECT_EXT ADD CONSTRAINT REQHISPRJEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_PROJECT_EXT ADD CONSTRAINT REQHISPRJEXT_FK2 FOREIGN KEY (VAL_PROJECT_ID) 
	REFERENCES $NF_SCHEMA.PROJECT (PROJECT_ID);
	
ALTER TABLE REQUEST_HISTORY_TEAM_EXT ADD CONSTRAINT REQHISTMAEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_TEAM_EXT ADD CONSTRAINT REQHISTMAEXT_FK2 FOREIGN KEY (VAL_TEAM_ID) 
	REFERENCES $NF_SCHEMA.TEAM (TEAM_ID);
	
ALTER TABLE REQUEST_HISTORY_TIMELINE_EXT ADD CONSTRAINT REQHISTLNEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_TIMELINE_EXT ADD CONSTRAINT REQHISTLNEXT_FK2 FOREIGN KEY (VAL_TIMELINE_ID) 
	REFERENCES $NF_SCHEMA.TIMELINE (TIMELINE_ID);
	
ALTER TABLE REQUEST_HISTORY_REQUEST_EXT ADD CONSTRAINT REQHISREQEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
	REFERENCES $CALM_SCHEMA.REQUEST_HISTORY (REQUEST_HISTORY_ID);
	
ALTER TABLE REQUEST_HISTORY_REQUEST_EXT ADD CONSTRAINT REQHISREQEXT_FK2 FOREIGN KEY (VAL_REQUEST_ID) 
	REFERENCES $NF_SCHEMA.REQUEST (REQUEST_ID);

ALTER TABLE RQRMENT_TIMESTAMP_EXT ADD CONSTRAINT RQRTMPEXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES $NF_SCHEMA.REQUIREMENT (REQUIREMENT_ID);
	
ALTER TABLE RQRMENT_TIMESTAMP_EXT ADD CONSTRAINT RQRTMPEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE RQRMENT_HISTORY_TIMESTAMP_EXT ADD CONSTRAINT RQRHISTMPEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID)
	REFERENCES RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID);
	
ALTER TABLE RQRMENT_HISTORY_TIMESTAMP_EXT ADD CONSTRAINT RQRHISTMPEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID);

ALTER TABLE	RQRMENT_ENUMERATION ALTER COLUMN EXTERNAL_ID SET DATA TYPE VARCHAR(255);

CREATE VIEW VW_RQST_COMPONENT_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_COMPONENT_ID, COMPONENT_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_COMPONENT_ID, I.NAME AS COMPONENT_NAME
  FROM $CALM_SCHEMA.REQUEST_COMPONENT_EXT E 
  JOIN $NF_SCHEMA.COMPONENT I ON E.VAL_COMPONENT_ID = I.COMPONENT_ID);
  
CREATE VIEW VW_RQST_CATEGORY_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_REQUEST_CATEGORY_ID, CATEGORY_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_CATEGORY_ID, I.NAME AS CATEGORY_NAME
  FROM $CALM_SCHEMA.REQUEST_CATEGORY_EXT E 
  JOIN $NF_SCHEMA.REQUEST_CATEGORY I ON E.VAL_REQUEST_CATEGORY_ID = I.REQUEST_CATEGORY_ID);

CREATE VIEW VW_RQST_RESOURCE_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_RESOURCE_ID, RESOURCE_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RESOURCE_ID, I.FULL_NAME AS RESOURCE_NAME
  FROM $CALM_SCHEMA.REQUEST_RESOURCE_EXT E 
  JOIN $NF_SCHEMA.RESOURCE I ON E.VAL_RESOURCE_ID = I.RESOURCE_ID);
  
CREATE VIEW VW_RQST_RELEASE_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_RELEASE_ID, RELEASE_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RELEASE_ID, I.NAME AS RELEASE_NAME
  FROM $CALM_SCHEMA.REQUEST_RELEASE_EXT E 
  JOIN $NF_SCHEMA.RELEASE I ON E.VAL_RELEASE_ID = I.RELEASE_ID);

CREATE VIEW VW_RQST_ITERATION_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_ITERATION_ID, ITERATION_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_ITERATION_ID, I.NAME AS ITERATION_NAME
  FROM $CALM_SCHEMA.REQUEST_ITERATION_EXT E 
  JOIN $NF_SCHEMA.ITERATION I ON E.VAL_ITERATION_ID = I.ITERATION_ID);

CREATE VIEW VW_RQST_PROJECT_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_PROJECT_ID, PROJECT_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_PROJECT_ID, I.NAME AS PROJECT_NAME
  FROM $CALM_SCHEMA.REQUEST_PROJECT_EXT E 
  JOIN $NF_SCHEMA.PROJECT I ON E.VAL_PROJECT_ID = I.PROJECT_ID);
  
CREATE VIEW VW_RQST_TEAM_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_TEAM_ID, TEAM_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TEAM_ID, I.NAME AS TEAM_NAME
  FROM $CALM_SCHEMA.REQUEST_TEAM_EXT E 
  JOIN $NF_SCHEMA.TEAM I ON E.VAL_TEAM_ID = I.TEAM_ID);
  
CREATE VIEW VW_RQST_TIMELINE_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_TIMELINE_ID, TIMELINE_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TIMELINE_ID, I.NAME AS TIMELINE_NAME
  FROM $CALM_SCHEMA.REQUEST_TIMELINE_EXT E 
  JOIN $NF_SCHEMA.TIMELINE I ON E.VAL_TIMELINE_ID = I.TIMELINE_ID);
  
CREATE VIEW VW_RQST_REQUEST_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_REQUEST_ID, REQUEST_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_ID, I.NAME AS REQUEST_NAME
  FROM $CALM_SCHEMA.REQUEST_REQUEST_EXT E 
  JOIN $NF_SCHEMA.REQUEST I ON E.VAL_REQUEST_ID = I.REQUEST_ID);

CREATE VIEW VW_RQST_HISTORY_COMPONENT_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_COMPONENT_ID, COMPONENT_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_COMPONENT_ID, I.NAME AS COMPONENT_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_COMPONENT_EXT E 
  JOIN $NF_SCHEMA.COMPONENT I ON E.VAL_COMPONENT_ID = I.COMPONENT_ID);
  
CREATE VIEW VW_RQST_HISTORY_CATEGORY_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_REQUEST_CATEGORY_ID, CATEGORY_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_CATEGORY_ID, I.NAME AS CATEGORY_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_CATEGORY_EXT E 
  JOIN $NF_SCHEMA.REQUEST_CATEGORY I ON E.VAL_REQUEST_CATEGORY_ID = I.REQUEST_CATEGORY_ID);

CREATE VIEW VW_RQST_HISTORY_RESOURCE_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_RESOURCE_ID, RESOURCE_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RESOURCE_ID, I.FULL_NAME AS RESOURCE_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_RESOURCE_EXT E 
  JOIN $NF_SCHEMA.RESOURCE I ON E.VAL_RESOURCE_ID = I.RESOURCE_ID);
  
CREATE VIEW VW_RQST_HISTORY_RELEASE_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_RELEASE_ID, RELEASE_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RELEASE_ID, I.NAME AS RELEASE_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_RELEASE_EXT E 
  JOIN $NF_SCHEMA.RELEASE I ON E.VAL_RELEASE_ID = I.RELEASE_ID);

CREATE VIEW VW_RQST_HISTORY_ITERATION_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_ITERATION_ID, ITERATION_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_ITERATION_ID, I.NAME AS ITERATION_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_ITERATION_EXT E 
  JOIN $NF_SCHEMA.ITERATION I ON E.VAL_ITERATION_ID = I.ITERATION_ID);

CREATE VIEW VW_RQST_HISTORY_PROJECT_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_PROJECT_ID, PROJECT_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_PROJECT_ID, I.NAME AS PROJECT_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_PROJECT_EXT E 
  JOIN $NF_SCHEMA.PROJECT I ON E.VAL_PROJECT_ID = I.PROJECT_ID);
  
CREATE VIEW VW_RQST_HISTORY_TEAM_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_TEAM_ID, TEAM_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TEAM_ID, I.NAME AS TEAM_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_TEAM_EXT E 
  JOIN $NF_SCHEMA.TEAM I ON E.VAL_TEAM_ID = I.TEAM_ID);
  
CREATE VIEW VW_RQST_HISTORY_TIMELINE_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_TIMELINE_ID, TIMELINE_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TIMELINE_ID, I.NAME AS TIMELINE_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_TIMELINE_EXT E 
  JOIN $NF_SCHEMA.TIMELINE I ON E.VAL_TIMELINE_ID = I.TIMELINE_ID);
  
CREATE VIEW VW_RQST_HISTORY_REQUEST_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_REQUEST_ID, REQUEST_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_ID, I.NAME AS REQUEST_NAME
  FROM $CALM_SCHEMA.REQUEST_HISTORY_REQUEST_EXT E 
  JOIN $NF_SCHEMA.REQUEST I ON E.VAL_REQUEST_ID = I.REQUEST_ID);
  
CREATE VIEW VW_RQRMENT_TIMESTAMP_EXT (REQUIREMENT_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM $CALM_SCHEMA.RQRMENT_TIMESTAMP_EXT E 
  JOIN $CALM_SCHEMA.RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN $CALM_SCHEMA.RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

CREATE VIEW VW_RQRMENT_HIS_TIMESTAMP_EXT (REQUIREMENT_HISTORY_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_HISTORY_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM $CALM_SCHEMA.RQRMENT_HISTORY_TIMESTAMP_EXT E 
  JOIN $CALM_SCHEMA.RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN $CALM_SCHEMA.RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID);

GRANT SELECT ON $CALM_SCHEMA.VW_RQST_COMPONENT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_CATEGORY_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_RESOURCE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_RELEASE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_ITERATION_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_PROJECT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_TEAM_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_TIMELINE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_REQUEST_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_COMPONENT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_CATEGORY_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_RESOURCE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_RELEASE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_ITERATION_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_PROJECT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_TEAM_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_TIMELINE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_REQUEST_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HIS_TIMESTAMP_EXT TO $REP_USER;

DROP TRIGGER TRG_TPOBJSTAD;
DROP TRIGGER TRG_TPSTREXTD;
DROP TRIGGER TRG_TPSTRMEXTD;
DROP TRIGGER TRG_TPINTEXTD;
DROP TRIGGER TRG_TPTIMEEXTD;
DROP TRIGGER TRG_TCSTREXTD;
DROP TRIGGER TRG_TCSTRMEXTD;
DROP TRIGGER TRG_TCINTEXTD;
DROP TRIGGER TRG_TCTIMEEXTD;
DROP TRIGGER TRG_TSCSTREXTD;
DROP TRIGGER TRG_TSCSTRMEXTD;
DROP TRIGGER TRG_TSCINTEXTD;
DROP TRIGGER TRG_TSCTIMEEXTD;
DROP TRIGGER TRG_TSUSTREXTD;
DROP TRIGGER TRG_TSUSTRMEXTD;
DROP TRIGGER TRG_TSUINTEXTD;
DROP TRIGGER TRG_TSUTIMEEXTD;
DROP TRIGGER TRG_EWISTREXTD;
DROP TRIGGER TRG_EWISTRMEXTD;
DROP TRIGGER TRG_EWIINTEXTD;
DROP TRIGGER TRG_EWITIMEEXTD;
DROP TRIGGER TRG_TSERSTREXTD;
DROP TRIGGER TRG_TSERSTRMEXTD;
DROP TRIGGER TRG_TSERINTEXTD;
DROP TRIGGER TRG_TSERTIMEEXTD;
DROP TRIGGER TRG_EXCRESSTREXTD;
DROP TRIGGER TRG_EXCRESSTRMEXTD;
DROP TRIGGER TRG_EXCRESINTEXTD;
DROP TRIGGER TRG_EXCRESTIMEEXTD;
DROP TRIGGER TRG_TSULOGSTREXTD;
DROP TRIGGER TRG_TSULOGSTRMEXTD;
DROP TRIGGER TRG_TSULOGINTEXTD;
DROP TRIGGER TRG_TSULOGTIMEEXTD;
DROP TRIGGER TRG_ITERDETD;

CREATE TRIGGER TRG_TPOBJSTAD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTPLAN_OBJECTIVESTATUS WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;
	
CREATE TRIGGER TRG_TPSTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTPLAN_STRING_EXT WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;
	
CREATE TRIGGER TRG_TPSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTPLAN_STRING_M_EXT WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;
	
CREATE TRIGGER TRG_TPINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTPLAN_INT_EXT WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;
	
CREATE TRIGGER TRG_TPTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTPLAN
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTPLAN_TIMESTAMP_EXT WHERE TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;
	
CREATE TRIGGER TRG_TCSTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTCASE_STRING_EXT WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END;
	
CREATE TRIGGER TRG_TCSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTCASE_STRING_M_EXT WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END;
	
CREATE TRIGGER TRG_TCINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTCASE_INT_EXT WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END;
	
CREATE TRIGGER TRG_TCTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTCASE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTCASE_TIMESTAMP_EXT WHERE TESTCASE_ID=NEWROW.TESTCASE_ID; END;

CREATE TRIGGER TRG_TSCSTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSCRIPT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
	DELETE FROM TESTSCRIPT_STRING_EXT WHERE TESTSCRIPT_ID=NEWROW.TESTSCRIPT_ID; END;
	
CREATE TRIGGER TRG_TSCSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSCRIPT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSCRIPT_STRING_M_EXT WHERE TESTSCRIPT_ID=NEWROW.TESTSCRIPT_ID; END;
	
CREATE TRIGGER TRG_TSCINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSCRIPT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSCRIPT_INT_EXT WHERE TESTSCRIPT_ID=NEWROW.TESTSCRIPT_ID; END;
	
CREATE TRIGGER TRG_TSCTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSCRIPT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSCRIPT_TIMESTAMP_EXT WHERE TESTSCRIPT_ID=NEWROW.TESTSCRIPT_ID; END;
	
CREATE TRIGGER TRG_TSUSTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TESTSUITE_STRING_EXT WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;
	
CREATE TRIGGER TRG_TSUSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TESTSUITE_STRING_M_EXT WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;
	
CREATE TRIGGER TRG_TSUINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TESTSUITE_INT_EXT WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;
	
CREATE TRIGGER TRG_TSUTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TESTSUITE_TIMESTAMP_EXT WHERE TESTSUITE_ID=NEWROW.TESTSUITE_ID; END;

CREATE TRIGGER TRG_EWISTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM EXECWORKITEM_STRING_EXT WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;
	
CREATE TRIGGER TRG_EWISTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM EXECWORKITEM_STRING_M_EXT WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;
	
CREATE TRIGGER TRG_EWIINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM EXECWORKITEM_INT_EXT WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;
	
CREATE TRIGGER TRG_EWITIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_WORKITEM
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM EXECWORKITEM_TIMESTAMP_EXT WHERE EXECWORKITEM_ID=NEWROW.EXECWORKITEM_ID; END;
    
CREATE TRIGGER TRG_TSERSTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE_EXECUTION_RECORD
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM TSTSUITEXECREC_STRING_EXT WHERE TESTSUITE_EXECRECORD_ID=NEWROW.TESTSUITE_EXECRECORD_ID; END;
	
CREATE TRIGGER TRG_TSERSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE_EXECUTION_RECORD
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TSTSUITEXECREC_STRING_M_EXT WHERE TESTSUITE_EXECRECORD_ID=NEWROW.TESTSUITE_EXECRECORD_ID; END;
	
CREATE TRIGGER TRG_TSERINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE_EXECUTION_RECORD
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TSTSUITEXECREC_INT_EXT WHERE TESTSUITE_EXECRECORD_ID=NEWROW.TESTSUITE_EXECRECORD_ID; END;
	
CREATE TRIGGER TRG_TSERTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITE_EXECUTION_RECORD
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TSTSUITEXECREC_TIMESTAMP_EXT WHERE TESTSUITE_EXECRECORD_ID=NEWROW.TESTSUITE_EXECRECORD_ID; END;
	
CREATE TRIGGER TRG_EXCRESSTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_RESULT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM EXECRES_STRING_EXT WHERE EXECUTION_RESULT_ID=NEWROW.EXECUTION_RESULT_ID; END;
	
CREATE TRIGGER TRG_EXCRESSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_RESULT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM EXECRES_STRING_M_EXT WHERE EXECUTION_RESULT_ID=NEWROW.EXECUTION_RESULT_ID; END;
	
CREATE TRIGGER TRG_EXCRESINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_RESULT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM EXECRES_INT_EXT WHERE EXECUTION_RESULT_ID=NEWROW.EXECUTION_RESULT_ID; END;
	
CREATE TRIGGER TRG_EXCRESTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.EXECUTION_RESULT
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM EXECRES_TIMESTAMP_EXT WHERE EXECUTION_RESULT_ID=NEWROW.EXECUTION_RESULT_ID; END;
	
CREATE TRIGGER TRG_TSULOGSTREXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITELOG
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TESTSUITELOG_STRING_EXT WHERE TESTSUITELOG_ID=NEWROW.TESTSUITELOG_ID; END;
	
CREATE TRIGGER TRG_TSULOGSTRMEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITELOG
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TESTSUITELOG_STRING_M_EXT WHERE TESTSUITELOG_ID=NEWROW.TESTSUITELOG_ID; END;
	
CREATE TRIGGER TRG_TSULOGINTEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITELOG
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TESTSUITELOG_INT_EXT WHERE TESTSUITELOG_ID=NEWROW.TESTSUITELOG_ID; END;

CREATE TRIGGER TRG_TSULOGTIMEEXTD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTSUITELOG
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
    DELETE FROM TESTSUITELOG_TIMESTAMP_EXT WHERE TESTSUITELOG_ID=NEWROW.TESTSUITELOG_ID; END;

CREATE TRIGGER TRG_ITERDETD
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.ITERATION
	REFERENCING  NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC 
    DELETE FROM ITERATION_EXEC_DETAIL WHERE ITERATION_ID=NEWROW.ITERATION_ID; END;

UPDATE $CONFIG_SCHEMA.SYSCONFIG_INFO SET INT_VALUE=28, CHAR_VALUE='4.0.3 M4' WHERE INFO_ID=17;