/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
//$NON-NLS-ALL$
// NLS_CHARSET=UTF-8
({
	'AbstractPracticesEditor_0': "Do you really want to delete practice ${0} ?",
	'AbstractPracticesEditor_1': "New Category",
	'AbstractPracticesEditor_2': "New Practice",
	'AbstractPracticesEditor_3': "New Practice Element",
	'AbstractPracticesEditor_4': "Do you really want to delete node ${0} ?",
	'AbstractPracticesEditor_5': "Do you really want to delete practice element ${0} ?",
	'AbstractPracticesEditor_6': "Are you sure you want to navigate away from this page?\n\nYou have unsaved changes in the editor.  If you continue, you will lose your changes.\n\nPress OK to continue, or Cancel to stay on the current page.",
	'AbstractPracticesEditor_7': "You have unsaved changes in the editor.  If you continue, you will lose your changes.",
	'AbstractPracticesEditor_8': "It appears ${0} is editing this resource. Are you sure you would like to edit?",
	'AbstractPracticesEditor_9': "Practice Detail",
	'AbstractPracticesEditor_11': "No need to reorder.",
	'AbstractPracticesEditor_12': "Edit",
	'AbstractPracticesEditor_14': "Resource has been updated by another request. Please refresh data.",
	'AbstractPracticesEditor_15': "Do you really want to archive the practice ${0} ?",
	'AbstractPracticesEditor_16': "Do you really want to archive the practice element ${0} ?",
	'AbstractPracticesEditor_17': "Do you really want to archive the category ${0} ?",
	'AbstractPracticesEditor_18': "Do you really want to restore the practice ${0} ?",
	'AbstractPracticesEditor_19': "Do you really want to restore the practice element ${0} ?",
	'AbstractPracticesEditor_20': "Do you really want to restore the category ${0} ?",
	
	'ContentEditor_0': "Add Section",
	'ContentEditor_6': "Name",
	'ContentEditorHTML_ReadOnly': "To edit this shared practice, please <a dojoAttachPoint=warningLink href=#>open the practice editor</a>.",
	'CopyResourceLinkDialogHTML_1': "Resource URL:",	
	'CopyResourceLinkDialog_CLOSE': "Close",
	'CopyResourceLinkDialog_0': "Copy Resource URL",

	'GeneralInputFieldEditor_0': "Title:",
	'GeneralInputFieldEditor_2': "The category is read only.",
	
	'GeneralInputFieldEditorHTML_0': "Preview",
	'GeneralInputFieldEditorHTML_1': "Details",
	'GeneralInputFieldEditorHTML_2': "Title:",
	'GeneralInputFieldEditorHTML_4': "Title",
	'GeneralInputFieldEditorHTML_5': "To edit this shared practice, please <a dojoAttachPoint=warningLink href=#>open the practice editor</a>.",
	
	'PracticeListPageHTML_0': "Practices",
	'PracticeListPageHTML_1': "Create Practice",
	'PracticeListPageHTML_4': "There are currently no practices.",
	'PracticeListPageHTML_5': "Import Practices",
	'PracticeListPageHTML_6': "You do not have a process authoring license to access shared practices.",
	'PracticeListPageHTML_7': "Use the Practices interface to create and edit practices. To create a new practice, click the Create Practice action. To edit or view an existing practice, click the practice name in the list below.",
	
	'PracticeListPage_6': "Loading...",
	'PracticeListPage_7': "Delete Practice",
	'PracticeListPage_8': "Do you want to delete this practice?",
	'PracticeListPage_9': "No practices exist",
	'PracticeListPage_10': "Practice delete in progress",
	'PracticeListPage_11': "Practice deleted successfully",
	'PracticeListPage_12': "Error deleting practice",
	'PracticeListPage_13': "Error fetching practices",
	'PracticeListPage_14': "Export Practice",
	'PracticeListPage_15': "Export practice ${0}",
	
	'ProcessDescriptionListPageHTML_0': "Process Descriptions",
	'ProcessDescriptionListPageHTML_1': "Create Process Description",
	'ProcessDescriptionListPageHTML_4': "There are currently no process descriptions.",
	'ProcessDescriptionListPageHTML_6': "You do not have a process authoring license to access shared process descriptions.",
	'ProcessDescriptionListPageHTML_7': "Use the Process Descriptions interface to create and edit process descriptions. To create a new process description, click the Create Process Description action. To edit or view an existing process description, click the process description name in the list below.",
	
	'ProcessDescriptionListPage_0': "Delete Process Description",
	'ProcessDescriptionListPage_1': "Do you want to delete this process description?",
	'ProcessDescriptionListPage_2': "No process descriptions exist",
	'ProcessDescriptionListPage_3': "Process description delete in progress",
	'ProcessDescriptionListPage_4': "Process description deleted successfully",
	'ProcessDescriptionListPage_5': "Error deleting process description",
	'ProcessDescriptionListPage_6': "Error fetching process descriptions",
	'ProcessDescriptionListPage_7': "Relationships",
	'ProcessDescriptionListPage_13': "Loading...",
	'ProcessDescriptionListPage_14': "The server is still initializing. Please refresh to try again.",
	'ProcessDescriptionListPage_15': "Export Process Description",
	'ProcessDescriptionListPage_16': "Export process description ${0}",
	'ProcessDescriptionListPage_17': "Import Process Descriptions",
	'ProcessDescriptionListPage_18': "${0} [not published]",
	
	'PlainTextField_0': "Move Up",
	'PlainTextField_1': "Move Down",
	'PlainTextField_3': "Delete Field",
	
	'PracticeEditor_0': "Practice created successfully.",
	'PracticeEditor_2': "Practice saved successfully.",
	'PracticeEditor_4': "Practices",
	'PracticeEditor_5': "Practice Name",
	'PracticeEditor_6': "Navigator",
	'PracticeEditor_7': "New Practice",
	'PracticeEditor_8': "Refreshing will discard any changes you have made.  Do you wish to continue?",
	'PracticeEditor_9': "New Practice Element",
	'PracticeEditor_10': "New Category",
	'PracticeEditor_11': "Practice save in progress...saving operation may take a minute. Please be patient.",
	'PracticeEditor_12': "Attachments",
	'PracticeEditor_13': "Attachments (${0})",
	'PracticeEditor_14': "Switch Language",
	'PracticeEditor_15': "This practice was already opened in current editor, Do you want to reload it?",
	'PracticeEditor_16': "Copy Practice URL",
	'PracticeEditor_17': "Error fetching practice",
	'PracticeEditor_18': "Loading...",
	
	'PracticeEditorHTML_0': "Refresh",
	'PracticeEditorHTML_1': "Save",
	'PracticeEditorHTML_2': "Practice Editor",
	'PracticeEditorHTML_3': "Practice Name",
	'PracticeEditorHTML_4': "Export Practice",
	
	'PracticeTree_0': "Delete Practice Element",
	'PracticeTree_1': "Create New Practice Element",
	'PracticeTree_2': "Create New Category",
	'PracticeTree_3': "Delete Category",
	'PracticeTree_4': "Remove Practice",
	'PracticeTree_6': "Open Practice Element",
	'PracticeTree_7': "Delete Practice",
	'PracticeTree_8': "Open Practice",
	'PracticeTree_9': "Copy Resource URL",
	'PracticeTree_10': "Export Practice",
	'PracticeTree_11': "Promote Practice",
	'PracticeTree_12': "Move Practice",
	'PracticeTree_13': "Move Category",
	'PracticeTree_14': "Move Practice Element",
	'PracticeTree_15': "[Read Only]",
	'PracticeTree_16': "Archive Practice Element",
	'PracticeTree_17': "Archive Practice",
	'PracticeTree_18': "Archive Category",
	'PracticeTree_19': "Restore Practice Element",
	'PracticeTree_20': "Restore Practice",
	'PracticeTree_21': "Restore Category",
	
	'PracticeTreePane_0': "Create New Practice",
	'PracticeTreePane_1': "Create New Practice Element",
	'PracticeTreePane_2': "Create New Category",
	'PracticeTreePane_3': "Import Practices",
	'PracticeTreePane_4': "Add Practices",
	'PracticeTreePane_5': "Show Archived",
	
	'ProcessAuthoringResourceLink_0': "Discard Association",
	
	'ProcessDescriptionDetailEditorHTML_0': "Details",
	'ProcessDescriptionDetailEditorHTML_1': "Description:",
	'ProcessDescriptionDetailEditorHTML_3': "Language:",
	'ProcessDescriptionDetailEditorHTML_5': "Description",
	'ProcessDescriptionDetailEditorHTML_7': "Language",
	'ProcessDescriptionDetailEditorHTML_8': "Published:",
	'ProcessDescriptionDetailEditorHTML_9': "Preview",
	'ProcessDescriptionDetailEditorHTML_10': "Set current language as default language",
	'ProcessDescriptionDetailEditorHTML_11': "Default",
	
	'ProcessDescriptionEditor_0': "Process description created successfully.",
	'ProcessDescriptionEditor_1': "Your current license does not allow you to see all practices in this process description.",
	'ProcessDescriptionEditor_2': "Process description saved successfully.",
	'ProcessDescriptionEditor_4': "Process Descriptions",
	'ProcessDescriptionEditor_5':"Practices",
	'ProcessDescriptionEditor_7':"New Process Description",
	'ProcessDescriptionEditor_8':"Refreshing will discard any changes you have made.  Do you wish to continue?",
	'ProcessDescriptionEditor_9':"The process description must have a name",
	'ProcessDescriptionEditor_10':"The process description must have an owner",
	'ProcessDescriptionEditor_11':"Do you really want to remove practice ${0}?",
	'ProcessDescriptionEditor_13': "Process description save in progress...saving operation may take a minute. Please be patient.",
	'ProcessDescriptionEditor_15': "Please click on save button to associate this process description: ",
	'ProcessDescriptionEditor_16': "Switch Language",
	'ProcessDescriptionEditor_18': "Outline",
	'ProcessDescriptionEditor_21': "The editor state is dirty, if you continue importing, you will lose your current changes.",
	'ProcessDescriptionEditor_22': "This process description was already opened in current editor, Do you want to reload it?",
	'ProcessDescriptionEditor_23': "Loading...",
	'ProcessDescriptionEditor_24': "Do you really want to promote practice ${0}? \nThis will change the private practice to a shared one. The change will take effect immediately and cannot be undone.",
	'ProcessDescriptionEditor_25': "The practice is promoted successfully.",
	'ProcessDescriptionEditor_27': "A language must be selected as default language.",
	'ProcessDescriptionEditor_28': "Delete process description",
	'ProcessDescriptionEditor_29': "Dissociate process description",
	'ProcessDescriptionEditor_30': "Copy Process Description URL",
	'ProcessDescriptionEditor_31': "Are you sure you want to delete this process description?",
	'ProcessDescriptionEditor_32': "Archive Process Description",
		
	'ProcessDescriptionError_0': "A process description cannot be created.",
	'ProcessDescriptionError_1': "Process description cannot be saved.",
	'ProcessDescriptionError_3': "You have not been granted the necessary read permissions to access the process description.",
	'ProcessDescriptionError_4': "Process description cannot be deleted.",
	'PracticeError_1': "Practice cannot be saved.",
	'PracticeError_2': "Practice cannot be deleted.",
	
	'ProcessDescriptionEditorHTML_0': "Refresh",
	'ProcessDescriptionEditorHTML_1': "Save",
	'ProcessDescriptionEditorHTML_2': "Process Description Editor",
	'ProcessDescriptionEditorHTML_4': "Export Process Description",
	'ProcessDescriptionEditorHTML_5': "Process Description Name",
	
	
	'ResourcePickerDialogHTML_1': "Enter a resource filter to narrow the selection.<br/>Use \"*\" and \"?\" as wildcard characters: ",
	'ResourceLinkPickerDialogHTML_0': "Process Authoring Resources: ",
	'ResourceLinkPickerDialog_0': "Insert Resource Link",
	'ResourceLinkPickerDialog_1': "Loading...",
	'ResourceLinkPickerDialogGroup_0': "Process Descriptions",
	'ResourceLinkPickerDialogGroup_1': "Practices",
	'ResourceLinkPickerDialogGroup_2': "Practice Elements",
	'ResourceLinkPickerDialog_ADD': "Insert",
	'ResourceLinkPickerDialog_CLOSE': "Cancel",
	'ResourceLinkPickerTooltipDialog_0': "Create Resource Link",
	'TextFieldHTML_0': "Apply",
	'TextFieldHTML_1': "Cancel",
	'TextFieldHTML_2': "Switch to plain text field",
	'TextFieldHTML_3': "Switch to rich text field",
	'AssociateDialog_0': "Select Process Description",
	'AssociateDialog_1': "Associate",
	'AssociateDialog_2': "Process Descriptions:",
	
	'RichTextField_0': "Move Up",
	'RichTextField_1': "Move Down",
	'RichTextField_3': "Delete Field",
	'RichTextField_4': "No field title",
	'RichTextField_6': "Switching to plain text field will lose some formatting and remove inserted items. \nAre you sure you want to continue?", 

	'TextField_0': "Click to enter text",
	
	'SectionHTML_0': "Collapse",
	'SectionHTML_1': "Expand",
	
	'Section_1': "Move Up",
	'Section_2': "Move Down",
	'Section_3': "Add Field",
	'Section_4': "Delete Section",
	'Section_5': "Add Plain Text Field",
	'Section_6': "Add Rich Text Field",
	'Section_7': "No section title",
	
	'SharedPracticesSelectionDialog_ADDCLOSE': "Add & Close",
	'SharedPracticesSelectionDialog_ADD': "Add",
	'SharedPracticesSelectionDialog_CLOSE': "Close",
	
	'SharedPracticeSelectionDialog_0': "Select Practices",
	'SharedPracticeSelectionDialog_1': "Loading...",
	'SharedPracticeSelectionDialog_2': "Practices:",
	
	'UploadAttachmentDialog_0': "Upload Attachment",
	'UploadAttachmentDialog_1': "Choose the file that you wish to upload.",
	'UploadAttachmentDialog_2': "Uploading...",
	'UploadAttachmentDialog_4': "Uploading file ...",
	'UploadAttachmentDialog_5': "Attachment file:",
	'UploadAttachmentDialog_6': "OK",
	'UploadAttachmentDialog_7': "Cancel",
	'UploadAttachmentDialog_8': "Service URL:",
	
	'UploadAttachmentPlugin_0': "Insert Attached Image",
	
	'LanguageDialog_0': "Select the language to edit from the list below or add a new language.",
	'LanguageDialog_1': "Add a language",
	'LanguageDialog_2': "Create",
	'LanguageDialog_3': "Languages",
	'LanguageDialog_4': "OK",
	'LanguageDialog_5': "Cancel",
	'LanguageDialog_6': "Switch Languages",
	'LanguageDialog_7': "Language exists",
	'LanguageDialog_9': "${0} ${1}", // ${0} is language, ${1} is "(default)", eg: "English (default)"
	'LanguageDialog_10': "(default)",
	'LanguageDialog_11': "Some or all of this description is available in multiple languages. Select the language to view from the list below. Edit this description to add new languages.",
	'LanguageDialog_12': "This description is only available in the language below. Edit this description to add new languages.",
	'LanguageDialog_13': "This description is only available in the language below. Select a language from the drop-down list and click Create to add a new language.",
	
	'MoveDialog_0_1': "Select the new position for the practice '${1}':",
	'MoveDialog_0_2': "Select the new position for the category '${1}':",
	'MoveDialog_0_3': "Select the new position for the practice element '${1}':",
	'MoveDialog_1': "'${0}' will be the :",
	'MoveDialog_2': "previous sibling ",
	'MoveDialog_3': "next sibling ",
	'MoveDialog_4': "OK",
	'MoveDialog_5': "Cancel",
	'MoveDialog_7': "child ",
	'MoveDialog_8': "practice",
	'MoveDialog_9': "category",
	'MoveDialog_10': "practice element",
	'MoveDialog_11': "Move Practice",
	'MoveDialog_12': "Move Category",
	'MoveDialog_13': "Move Practice Element",
	
    "LanguageDialog_MultiLanguage_0": "Abkhazian",
    "LanguageDialog_MultiLanguage_1": "Afar",
    "LanguageDialog_MultiLanguage_2": "Afrikaans",
    "LanguageDialog_MultiLanguage_3": "Albanian",
    "LanguageDialog_MultiLanguage_4": "Amharic",
    "LanguageDialog_MultiLanguage_5": "Arabic",
    "LanguageDialog_MultiLanguage_6": "Arabic(Algeria)",
    "LanguageDialog_MultiLanguage_7": "Arabic(Bahrain)",
    "LanguageDialog_MultiLanguage_8": "Arabic (Egypt)",
    "LanguageDialog_MultiLanguage_9": "Arabic (Iraq)",
    "LanguageDialog_MultiLanguage_10": "Arabic (Jordan)",
    "LanguageDialog_MultiLanguage_11": "Arabic (Kuwait)",
    "LanguageDialog_MultiLanguage_12": "Arabic (Lebanon)",
    "LanguageDialog_MultiLanguage_13": "Arabic (Libyan Arab Jamahiriya)",
    "LanguageDialog_MultiLanguage_14": "Arabic (Morocco)",
    "LanguageDialog_MultiLanguage_15": "Arabic (Oman)",
    "LanguageDialog_MultiLanguage_16": "Arabic (Qatar)",
    "LanguageDialog_MultiLanguage_17": "Arabic (Saudi Arabia)",
    "LanguageDialog_MultiLanguage_18": "Arabic (Syrian Arab Republic)",
    "LanguageDialog_MultiLanguage_19": "Arabic (Tunisia)",
    "LanguageDialog_MultiLanguage_20": "Arabic (United Arab Emirates)",
    "LanguageDialog_MultiLanguage_21": "Arabic (Yemen)",
    "LanguageDialog_MultiLanguage_22": "Armenian",
    "LanguageDialog_MultiLanguage_23": "Assamese",
    "LanguageDialog_MultiLanguage_24": "Avestan",
    "LanguageDialog_MultiLanguage_25": "Aymara",
    "LanguageDialog_MultiLanguage_26": "Azerbaijani",
    "LanguageDialog_MultiLanguage_27": "Bashkir",
    "LanguageDialog_MultiLanguage_28": "Basque",
    "LanguageDialog_MultiLanguage_29": "Belarusian",
    "LanguageDialog_MultiLanguage_30": "Bengali",
    "LanguageDialog_MultiLanguage_31": "Bihari",
    "LanguageDialog_MultiLanguage_32": "Bislama",
    "LanguageDialog_MultiLanguage_33": "Bosnian",
    "LanguageDialog_MultiLanguage_34": "Breton",
    "LanguageDialog_MultiLanguage_35": "Bulgarian",
    "LanguageDialog_MultiLanguage_36": "Burmese",
    "LanguageDialog_MultiLanguage_37": "Catalan",
    "LanguageDialog_MultiLanguage_38": "Chamorro",
    "LanguageDialog_MultiLanguage_39": "Chechen",
    "LanguageDialog_MultiLanguage_40": "Chichewa; Chewa; Nyanja",
    "LanguageDialog_MultiLanguage_41": "Chinese",
    "LanguageDialog_MultiLanguage_42": "Chinese (PRC)",
    "LanguageDialog_MultiLanguage_43": "Chinese (Hong Kong S.A.R., China)",
    "LanguageDialog_MultiLanguage_44": "Chinese (Macao S.A.R., China)",
    "LanguageDialog_MultiLanguage_45": "Chinese (Singapore)",
    "LanguageDialog_MultiLanguage_46": "Chinese (Taiwan)",
    "LanguageDialog_MultiLanguage_47": "Chuang",
    "LanguageDialog_MultiLanguage_48": "Slavic",
    "LanguageDialog_MultiLanguage_49": "Chuvash",
    "LanguageDialog_MultiLanguage_50": "Cornish",
    "LanguageDialog_MultiLanguage_51": "Corsican",
    "LanguageDialog_MultiLanguage_52": "Croatian",
    "LanguageDialog_MultiLanguage_53": "Czech",
    "LanguageDialog_MultiLanguage_54": "Danish",
    "LanguageDialog_MultiLanguage_55": "Dutch",
    "LanguageDialog_MultiLanguage_56": "Dutch (Belgium)",
    "LanguageDialog_MultiLanguage_57": "Dzongkha",
    "LanguageDialog_MultiLanguage_58": "English",
    "LanguageDialog_MultiLanguage_59": "English (Australia)",
    "LanguageDialog_MultiLanguage_60": "English (Belize)",
    "LanguageDialog_MultiLanguage_61": "English (Canada)",
    "LanguageDialog_MultiLanguage_62": "English (Ireland)",
    "LanguageDialog_MultiLanguage_63": "English (Jamaica)",
    "LanguageDialog_MultiLanguage_64": "English (New Zealand)",
    "LanguageDialog_MultiLanguage_65": "English (Philippines)",
    "LanguageDialog_MultiLanguage_66": "English (South Africa)",
    "LanguageDialog_MultiLanguage_67": "English (Trinidad and Tobago)",
    "LanguageDialog_MultiLanguage_68": "English (United Kingdom)",
    "LanguageDialog_MultiLanguage_69": "English (United States)",
    "LanguageDialog_MultiLanguage_70": "English (Zimbabwe)",
    "LanguageDialog_MultiLanguage_71": "Esperanto",
    "LanguageDialog_MultiLanguage_72": "Estonian",
    "LanguageDialog_MultiLanguage_73": "Faroese",
    "LanguageDialog_MultiLanguage_74": "Fijian",
    "LanguageDialog_MultiLanguage_75": "Filipino",
    "LanguageDialog_MultiLanguage_76": "Finnish",
    "LanguageDialog_MultiLanguage_77": "French",
    "LanguageDialog_MultiLanguage_78": "French (Belgium)",
    "LanguageDialog_MultiLanguage_79": "French (Canada)",
    "LanguageDialog_MultiLanguage_80": "French (Luxembourg)",
    "LanguageDialog_MultiLanguage_81": "French (Monaco)",
    "LanguageDialog_MultiLanguage_82": "French (Switzerland)",
    "LanguageDialog_MultiLanguage_83": "Frisian",
    "LanguageDialog_MultiLanguage_84": "Gallegan",
    "LanguageDialog_MultiLanguage_85": "Georgian",
    "LanguageDialog_MultiLanguage_86": "German",
    "LanguageDialog_MultiLanguage_87": "German (Austria)",
    "LanguageDialog_MultiLanguage_88": "German (Liechtenstein)",
    "LanguageDialog_MultiLanguage_89": "German (Luxembourg)",
    "LanguageDialog_MultiLanguage_90": "German (Switzerland)",
    "LanguageDialog_MultiLanguage_91": "Greek, Modern (1453-)",
    "LanguageDialog_MultiLanguage_92": "Guarani",
    "LanguageDialog_MultiLanguage_93": "Gujarati",
    "LanguageDialog_MultiLanguage_94": "Hausa",
    "LanguageDialog_MultiLanguage_95": "Hebrew",
    "LanguageDialog_MultiLanguage_96": "Herero",
    "LanguageDialog_MultiLanguage_97": "Hindi",
    "LanguageDialog_MultiLanguage_98": "Hiri Motu",
    "LanguageDialog_MultiLanguage_99": "Hungarian",
    "LanguageDialog_MultiLanguage_100": "Icelandic",
    "LanguageDialog_MultiLanguage_101": "Ido",
    "LanguageDialog_MultiLanguage_102": "Indonesian",
    "LanguageDialog_MultiLanguage_103": "Interingua (International Auxiliary Language Association)",
    "LanguageDialog_MultiLanguage_104": "Interlingue",
    "LanguageDialog_MultiLanguage_105": "Inuktitut",
    "LanguageDialog_MultiLanguage_106": "Inupiaq",
    "LanguageDialog_MultiLanguage_107": "Irish",
    "LanguageDialog_MultiLanguage_108": "Italian",
    "LanguageDialog_MultiLanguage_109": "Italian (Switzerland)",
    "LanguageDialog_MultiLanguage_110": "Japanese",
    "LanguageDialog_MultiLanguage_111": "Javanese",
    "LanguageDialog_MultiLanguage_112": "Kalaallisut",
    "LanguageDialog_MultiLanguage_113": "Kannada",
    "LanguageDialog_MultiLanguage_114": "Kashmiri",
    "LanguageDialog_MultiLanguage_115": "Kazakh",
    "LanguageDialog_MultiLanguage_116": "Khmer",
    "LanguageDialog_MultiLanguage_117": "Kikuyu",
    "LanguageDialog_MultiLanguage_118": "Kinyarwanda",
    "LanguageDialog_MultiLanguage_119": "Kirghiz",
    "LanguageDialog_MultiLanguage_120": "Komi",
    "LanguageDialog_MultiLanguage_121": "Korean",
    "LanguageDialog_MultiLanguage_122": "Kwanyama",
    "LanguageDialog_MultiLanguage_123": "Kurdish",
    "LanguageDialog_MultiLanguage_124": "Lao",
    "LanguageDialog_MultiLanguage_125": "Latin",
    "LanguageDialog_MultiLanguage_126": "Latvian",
    "LanguageDialog_MultiLanguage_127": "Luxembourgish",
    "LanguageDialog_MultiLanguage_128": "Lingala",
    "LanguageDialog_MultiLanguage_129": "Lithuanian",
    "LanguageDialog_MultiLanguage_130": "Macedonian",
    "LanguageDialog_MultiLanguage_131": "Malagasy",
    "LanguageDialog_MultiLanguage_132": "Malay",
    "LanguageDialog_MultiLanguage_133": "Malay (Brunei Darussalam)",
    "LanguageDialog_MultiLanguage_134": "Malay (Malaysia)",
    "LanguageDialog_MultiLanguage_135": "Malayalam",
    "LanguageDialog_MultiLanguage_136": "Maltese",
    "LanguageDialog_MultiLanguage_137": "Manx",
    "LanguageDialog_MultiLanguage_138": "Maori",
    "LanguageDialog_MultiLanguage_139": "Marathi",
    "LanguageDialog_MultiLanguage_140": "Marshallese",
    "LanguageDialog_MultiLanguage_141": "Moldavian",
    "LanguageDialog_MultiLanguage_142": "Mongolian",
    "LanguageDialog_MultiLanguage_143": "Nauru",
    "LanguageDialog_MultiLanguage_144": "Navajo; Navaho",
    "LanguageDialog_MultiLanguage_145": "Ndebele, North",
    "LanguageDialog_MultiLanguage_146": "Ndebele, South",
    "LanguageDialog_MultiLanguage_147": "Ndonga",
    "LanguageDialog_MultiLanguage_148": "Nepali",
    "LanguageDialog_MultiLanguage_149": "Sami",
    "LanguageDialog_MultiLanguage_150": "Norwegian",
    "LanguageDialog_MultiLanguage_151": "Norwegian Bokmal; Bokmal, Norwegian",
    "LanguageDialog_MultiLanguage_152": "Norwegian Nynorsk; Nynorsk, Norwegian",
    "LanguageDialog_MultiLanguage_153": "Occitan (post 1500); Provencal",
    "LanguageDialog_MultiLanguage_154": "Oriya",
    "LanguageDialog_MultiLanguage_155": "Oromo",
    "LanguageDialog_MultiLanguage_156": "Ossetic",
    "LanguageDialog_MultiLanguage_157": "Pali",
    "LanguageDialog_MultiLanguage_158": "Persian",
    "LanguageDialog_MultiLanguage_159": "Polish",
    "LanguageDialog_MultiLanguage_160": "Portuguese",
    "LanguageDialog_MultiLanguage_161": "Portuguese (Brazil)",
    "LanguageDialog_MultiLanguage_162": "Punjabi",
    "LanguageDialog_MultiLanguage_163": "Pushto",
    "LanguageDialog_MultiLanguage_164": "Quechua",
    "LanguageDialog_MultiLanguage_165": "Rhaeto-Romance",
    "LanguageDialog_MultiLanguage_166": "Romanian",
    "LanguageDialog_MultiLanguage_167": "Romanian (Moldova, Republic of)",
    "LanguageDialog_MultiLanguage_168": "Rundi",
    "LanguageDialog_MultiLanguage_169": "Russian",
    "LanguageDialog_MultiLanguage_170": "Russian (Moldova, Republic of)",
    "LanguageDialog_MultiLanguage_171": "Samoan",
    "LanguageDialog_MultiLanguage_172": "Sango",
    "LanguageDialog_MultiLanguage_173": "Sanskrit",
    "LanguageDialog_MultiLanguage_174": "Sardinian",
    "LanguageDialog_MultiLanguage_175": "Scottish Gaelic; Gaelic",
    "LanguageDialog_MultiLanguage_176": "Serbian",
    "LanguageDialog_MultiLanguage_177": "Shona",
    "LanguageDialog_MultiLanguage_178": "Sindhi",
    "LanguageDialog_MultiLanguage_179": "Sinhalese",
    "LanguageDialog_MultiLanguage_180": "Slovak",
    "LanguageDialog_MultiLanguage_181": "Slovenian",
    "LanguageDialog_MultiLanguage_182": "Somali",
    "LanguageDialog_MultiLanguage_183": "Sorbian",
    "LanguageDialog_MultiLanguage_184": "Sotho, Southern",
    "LanguageDialog_MultiLanguage_237": "Spanish",
    "LanguageDialog_MultiLanguage_185": "Spanish (Argentina)",
    "LanguageDialog_MultiLanguage_186": "Spanish (Bolivia)",
    "LanguageDialog_MultiLanguage_187": "Spanish (Chile)",
    "LanguageDialog_MultiLanguage_188": "Spanish (Colombia)",
    "LanguageDialog_MultiLanguage_189": "Spanish (Costa Rica)",
    "LanguageDialog_MultiLanguage_190": "Spanish (Dominican Republic)",
    "LanguageDialog_MultiLanguage_191": "Spanish (Ecuador)",
    "LanguageDialog_MultiLanguage_192": "Spanish (El Salvador)",
    "LanguageDialog_MultiLanguage_193": "Spanish (Guatemala)",
    "LanguageDialog_MultiLanguage_194": "Spanish (Honduras)",
    "LanguageDialog_MultiLanguage_195": "Spanish (Mexico)",
    "LanguageDialog_MultiLanguage_196": "Spanish (Nicaragua)",
    "LanguageDialog_MultiLanguage_197": "Spanish (Panama)",
    "LanguageDialog_MultiLanguage_198": "Spanish (Paraguay)",
    "LanguageDialog_MultiLanguage_199": "Spanish (Peru)",
    "LanguageDialog_MultiLanguage_200": "Spanish (Puerto Rico)",
    "LanguageDialog_MultiLanguage_201": "Spanish (Uruguay)",
    "LanguageDialog_MultiLanguage_202": "Spanish (Venezuela)",
    "LanguageDialog_MultiLanguage_203": "Castilian",
    "LanguageDialog_MultiLanguage_204": "Sundanese",
    "LanguageDialog_MultiLanguage_205": "Swahili",
    "LanguageDialog_MultiLanguage_206": "Swati",
    "LanguageDialog_MultiLanguage_207": "Swedish",
    "LanguageDialog_MultiLanguage_208": "Swedish (Finland)",
    "LanguageDialog_MultiLanguage_209": "Tagalog",
    "LanguageDialog_MultiLanguage_210": "Tahitian",
    "LanguageDialog_MultiLanguage_211": "Tajik",
    "LanguageDialog_MultiLanguage_212": "Tamil",
    "LanguageDialog_MultiLanguage_213": "Tatar",
    "LanguageDialog_MultiLanguage_214": "Telugu",
    "LanguageDialog_MultiLanguage_215": "Thai",
    "LanguageDialog_MultiLanguage_216": "Tibetan",
    "LanguageDialog_MultiLanguage_217": "Tigrinya",
    "LanguageDialog_MultiLanguage_218": "Tonga (Tonga Islands)",
    "LanguageDialog_MultiLanguage_219": "Tsonga",
    "LanguageDialog_MultiLanguage_220": "Tswana",
    "LanguageDialog_MultiLanguage_221": "Turkish",
    "LanguageDialog_MultiLanguage_222": "Turkmen",
    "LanguageDialog_MultiLanguage_223": "Twi",
    "LanguageDialog_MultiLanguage_224": "Uighur",
    "LanguageDialog_MultiLanguage_225": "Ukrainian",
    "LanguageDialog_MultiLanguage_226": "Urdu",
    "LanguageDialog_MultiLanguage_227": "Uzbek",
    "LanguageDialog_MultiLanguage_228": "Vietnamese",
    "LanguageDialog_MultiLanguage_229": "Volapuk",
    "LanguageDialog_MultiLanguage_230": "Walloon",
    "LanguageDialog_MultiLanguage_231": "Welsh",
    "LanguageDialog_MultiLanguage_232": "Wolof",
    "LanguageDialog_MultiLanguage_233": "Xhosa",
    "LanguageDialog_MultiLanguage_234": "Yiddish",
    "LanguageDialog_MultiLanguage_235": "Yoruba",
    "LanguageDialog_MultiLanguage_236": "Zulu",	
	
	'AttachmentManagerHTML_0': "Add File",
	'AttachmentManagerHTML_1': "Name",
	'AttachmentManagerHTML_2': "Size",
	'AttachmentManagerHTML_3': "Created by",
	'AttachmentManagerHTML_4': "Date",
	'AttachmentManagerHTML_5': "Service URL",
	'AttachmentManagerHTML_6': "Actions",
	
	'AttachmentManager_0': "Please save the parent practice first",
	'AttachmentManager_1': "Delete",
	'AttachmentManager_2': "Do you really want to delete this attachment?",
	
	'AttachmentPickerDialogHTML_0': "Enter a resource filter to narrow the selection.<br/>Use \"*\" and \"?\" as wildcard characters: ",
	'AttachmentPickerDialog_2': "Insert",
	'AttachmentPickerDialog_3': "Cancel",
	'AttachmentPickerDialog_4': "Process Authoring Attachments",
	'AttachmentPickerDialog_5': "Insert Attachment"

})
