<%--
Licensed Materials - Property of IBM
(c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
Note to U.S. Government Users Restricted Rights:  Use,
duplication or disclosure restricted by GSA ADP Schedule 
Contract with IBM Corp.
--%>
<%@ tag language="java" pageEncoding="UTF-8" %>
<%@ tag import="java.util.*" %>
<%@ tag import="net.jazz.ajax.model.AjaxApplicationPage" %>
<%@ tag import="net.jazz.web.app.internal.NavigationMenuBarTag"%>
<%@ attribute name="applicationId" required="true" %>
<%@ attribute name="dojoAttachPoint" required="true" %>
<%@ variable name-given="buffer" %>
<%@ taglib uri="/WEB-INF/jazz-ui/ui.tld" prefix="ui"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/net-jazz-web-app/app.tld" prefix="app"%>

<% NavigationMenuBarTag navbar = new NavigationMenuBarTag(jspContext); %>
<c:set var="buffer">
	<%
	Locale locale = request.getLocale();
	for (AjaxApplicationPage page: navbar.pages) {
		if (page == null)
			continue;
		%>
		<ui:PopupMenuBarItem content="<%=page.getName(locale)%>" /><%
	}%>
	<%--
	<div class="right-links">
	</div>
	--%>
</c:set>

<ui:MenuBar
		clazz="jazz-app-NavigationMenuBar"
		dojoType="jazz.app.internal.NavigationMenuBar"
		dojoAttachPoint="${dojoAttachPoint}">
	${buffer}
</ui:MenuBar>