
CREATE TABLE $(CALM_SCHEMA).REQUEST_COMPONENT_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_COMPONENT_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_CATEGORY_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_CATEGORY_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_RESOURCE_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RESOURCE_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_RELEASE_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RELEASE_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_ITERATION_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_ITERATION_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_PROJECT_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_PROJECT_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_TEAM_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TEAM_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_TIMELINE_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TIMELINE_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_REQUEST_EXT (
		REQUEST_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_COMPONENT_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_COMPONENT_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_CATEGORY_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_CATEGORY_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_RESOURCE_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RESOURCE_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_RELEASE_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_RELEASE_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_ITERATION_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_ITERATION_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_PROJECT_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_PROJECT_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TEAM_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TEAM_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TIMELINE_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_TIMELINE_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).REQUEST_HISTORY_REQUEST_EXT (
		REQUEST_HISTORY_ID INT DEFAULT -1 NOT NULL,
		NAME NVARCHAR(255) DEFAULT 'Extension Name Missing' NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL_REQUEST_ID INT DEFAULT -1 NOT NULL
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TEMP_REQUIREMENT_STG (
		ID INTEGER NOT NULL, 
		NAME VARCHAR(255), 
		EXTERNAL_ID VARCHAR(100), 
		EXTERNAL_KEY1 VARCHAR(250), 
		FORMAT VARCHAR(250), 
		CREATORUUID VARCHAR(100), 
		CREATION_DATE DATETIME, 
		REC_DATETIME DATETIME, 
		PROJECTUUID VARCHAR(100), 
		URL VARCHAR(2048),   
		REQUIREMENT_TYPE VARCHAR(255), 
		DATATYPE VARCHAR(255), 
		ISENUMERATION VARCHAR(250), 
		REQUIREMENT_ATTRDEF_ID VARCHAR(255), 
		LITERALID VARCHAR(255), 
		LITERAL_NAME VARCHAR(255), 
		ATTRNAME VARCHAR(255), 
		VAL VARCHAR(255),  
		ATTRTYPENAME VARCHAR(255), 
		REQUIREMENT_TYPE_ID VARCHAR(255),  
		REQUIREMENTUUID VARCHAR(100), 
		PROJECTAREAUUID VARCHAR(100), 
		ISDELETED VARCHAR(250), 
		ISMULTIVALUED VARCHAR(250), 
		DATASOURCE_ID VARCHAR(36)
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).TEMP_REQUIREMENT_LINK_STG (
		ID INTEGER NOT NULL, 
		EXTERNAL_ID VARCHAR(100), 
		FORMAT VARCHAR(250), 
		IMPLEMENTEDBY VARCHAR(100), 
		IMPLEMENTEDBYURL VARCHAR(2048), 
		VALIDATEDBY VARCHAR(100), 
		EXTERNAL_UUID VARCHAR(100), 
		EXTERNAL_URL VARCHAR(2048), 
		EXTERNAL_LABEL VARCHAR(255), 
		EXTERNALLINKTYPE VARCHAR(100), 
		LINKRELATION VARCHAR(100), 
		LINKRELATIONURL VARCHAR(2048), 
		AFFECTEDBY VARCHAR(100), 
		TRACKEDBY VARCHAR(100), 
		LINKTITLE VARCHAR(255), 
		LINKTYPEUUID VARCHAR(100), 
		LINKTYPENAME VARCHAR(255), 
		ISPARENTLINK VARCHAR(250), 
		ISCHILDLINK VARCHAR(250), 
		MODULEARTIFACTUUID VARCHAR(100), 
		MODULEUUID VARCHAR(100), 
		DATASOURCE_ID VARCHAR(36)
) ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_TIMESTAMP_EXT (
		REQUIREMENT_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DATETIME
)  ON VNF_32K 
GO

CREATE TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_TIMESTAMP_EXT (
		REQUIREMENT_HISTORY_ID INT  DEFAULT -1 NOT NULL,
		REQUIREMENT_ATTRDEF_ID INT DEFAULT -1 NOT NULL,
		ISSOFTDELETED SMALLINT DEFAULT 0 NOT NULL,
		VAL DATETIME
)  ON VNF_32K 
GO

CREATE INDEX REQCMPEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_COMPONENT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQCMPEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_COMPONENT_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQCTGEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_CATEGORY_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQCTGEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_CATEGORY_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQRSREXT_IDX1 ON $(CALM_SCHEMA).REQUEST_RESOURCE_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQRSREXT_IDX2 ON $(CALM_SCHEMA).REQUEST_RESOURCE_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQRLSEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_RELEASE_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQRLSEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_RELEASE_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQITEEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_ITERATION_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQITEEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_ITERATION_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQPRJEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_PROJECT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQPRJEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_PROJECT_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQTMAEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_TEAM_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQTMAEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_TEAM_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQTLNEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_TIMELINE_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQTLNEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_TIMELINE_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQREQEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_REQUEST_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQREQEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_REQUEST_EXT (REQUEST_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISCMPEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_COMPONENT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISCMPEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_COMPONENT_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISCTGEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_CATEGORY_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISCTGEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_CATEGORY_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISRSREXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_RESOURCE_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISRSREXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_RESOURCE_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISRLSEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_RELEASE_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISRLSEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_RELEASE_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISITEEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_ITERATION_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISITEEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_ITERATION_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISPRJEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_PROJECT_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISPRJEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_PROJECT_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISTMAEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_TEAM_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISTMAEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_TEAM_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISTLNEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_TIMELINE_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISTLNEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_TIMELINE_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISREQEXT_IDX1 ON $(CALM_SCHEMA).REQUEST_HISTORY_REQUEST_EXT (ISSOFTDELETED ASC)  ON VNF_IDX
GO

CREATE INDEX REQHISREQEXT_IDX2 ON $(CALM_SCHEMA).REQUEST_HISTORY_REQUEST_EXT (REQUEST_HISTORY_ID ASC, NAME ASC)  ON VNF_IDX
GO

CREATE INDEX RQRTMPEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_TIMESTAMP_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRTMPEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_TIMESTAMP_EXT (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISTMPEXT_IDX1 ON $(CALM_SCHEMA).RQRMENT_HISTORY_TIMESTAMP_EXT (ISSOFTDELETED ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISTMPEXT_IDX2 ON $(CALM_SCHEMA).RQRMENT_HISTORY_TIMESTAMP_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC) ON VNF_IDX
GO

CREATE INDEX RQRHISTMPEXT_IDX3 ON $(CALM_SCHEMA).RQRMENT_HISTORY_TIMESTAMP_EXT (REQUIREMENT_HISTORY_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, VAL ASC) ON VNF_IDX
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_COMPONENT_EXT ADD CONSTRAINT REQCMPEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_COMPONENT_EXT ADD CONSTRAINT REQCMPEXT_FK2 FOREIGN KEY (VAL_COMPONENT_ID) 
REFERENCES $(NF_SCHEMA).COMPONENT (COMPONENT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_CATEGORY_EXT ADD CONSTRAINT REQCTGEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_CATEGORY_EXT ADD CONSTRAINT REQCTGEXT_FK2 FOREIGN KEY (VAL_REQUEST_CATEGORY_ID) 
REFERENCES $(NF_SCHEMA).REQUEST_CATEGORY (REQUEST_CATEGORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_RESOURCE_EXT ADD CONSTRAINT REQRSREXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_RESOURCE_EXT ADD CONSTRAINT REQRSREXT_FK2 FOREIGN KEY (VAL_RESOURCE_ID) 
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_RELEASE_EXT ADD CONSTRAINT REQRLSEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_RELEASE_EXT ADD CONSTRAINT REQRLSEXT_FK2 FOREIGN KEY (VAL_RELEASE_ID) 
REFERENCES $(NF_SCHEMA).RELEASE (RELEASE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_ITERATION_EXT ADD CONSTRAINT REQITEEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_ITERATION_EXT ADD CONSTRAINT REQITEEXT_FK2 FOREIGN KEY (VAL_ITERATION_ID) 
REFERENCES $(NF_SCHEMA).ITERATION (ITERATION_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_PROJECT_EXT ADD CONSTRAINT REQPRJEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_PROJECT_EXT ADD CONSTRAINT REQPRJEXT_FK2 FOREIGN KEY (VAL_PROJECT_ID) 
REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_TEAM_EXT ADD CONSTRAINT REQTMAEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_TEAM_EXT ADD CONSTRAINT REQTMAEXT_FK2 FOREIGN KEY (VAL_TEAM_ID) 
REFERENCES $(NF_SCHEMA).TEAM (TEAM_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_TIMELINE_EXT ADD CONSTRAINT REQTLNEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_TIMELINE_EXT ADD CONSTRAINT REQTLNEXT_FK2 FOREIGN KEY (VAL_TIMELINE_ID) 
REFERENCES $(NF_SCHEMA).TIMELINE (TIMELINE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_REQUEST_EXT ADD CONSTRAINT REQREQEXT_FK1 FOREIGN KEY (REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_REQUEST_EXT ADD CONSTRAINT REQREQEXT_FK2 FOREIGN KEY (VAL_REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_COMPONENT_EXT ADD CONSTRAINT REQHISCMPEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_COMPONENT_EXT ADD CONSTRAINT REQHISCMPEXT_FK2 FOREIGN KEY (VAL_COMPONENT_ID) 
REFERENCES $(NF_SCHEMA).COMPONENT (COMPONENT_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_CATEGORY_EXT ADD CONSTRAINT REQHISCTGEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_CATEGORY_EXT ADD CONSTRAINT REQHISCTGEXT_FK2 FOREIGN KEY (VAL_REQUEST_CATEGORY_ID) 
REFERENCES $(NF_SCHEMA).REQUEST_CATEGORY (REQUEST_CATEGORY_ID)
GO

ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_RESOURCE_EXT ADD CONSTRAINT REQHISRSREXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_RESOURCE_EXT ADD CONSTRAINT REQHISRSREXT_FK2 FOREIGN KEY (VAL_RESOURCE_ID) 
REFERENCES $(NF_SCHEMA).RESOURCE (RESOURCE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_RELEASE_EXT ADD CONSTRAINT REQHISRLSEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_RELEASE_EXT ADD CONSTRAINT REQHISRLSEXT_FK2 FOREIGN KEY (VAL_RELEASE_ID) 
REFERENCES $(NF_SCHEMA).RELEASE (RELEASE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_ITERATION_EXT ADD CONSTRAINT REQHISITEEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_ITERATION_EXT ADD CONSTRAINT REQHISITEEXT_FK2 FOREIGN KEY (VAL_ITERATION_ID) 
REFERENCES $(NF_SCHEMA).ITERATION (ITERATION_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_PROJECT_EXT ADD CONSTRAINT REQHISPRJEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_PROJECT_EXT ADD CONSTRAINT REQHISPRJEXT_FK2 FOREIGN KEY (VAL_PROJECT_ID) 
REFERENCES $(NF_SCHEMA).PROJECT (PROJECT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TEAM_EXT ADD CONSTRAINT REQHISTMAEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TEAM_EXT ADD CONSTRAINT REQHISTMAEXT_FK2 FOREIGN KEY (VAL_TEAM_ID) 
REFERENCES $(NF_SCHEMA).TEAM (TEAM_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TIMELINE_EXT ADD CONSTRAINT REQHISTLNEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_TIMELINE_EXT ADD CONSTRAINT REQHISTLNEXT_FK2 FOREIGN KEY (VAL_TIMELINE_ID) 
REFERENCES $(NF_SCHEMA).TIMELINE (TIMELINE_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_REQUEST_EXT ADD CONSTRAINT REQHISREQEXT_FK1 FOREIGN KEY (REQUEST_HISTORY_ID) 
REFERENCES $(CALM_SCHEMA).REQUEST_HISTORY (REQUEST_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).REQUEST_HISTORY_REQUEST_EXT ADD CONSTRAINT REQHISREQEXT_FK2 FOREIGN KEY (VAL_REQUEST_ID) 
REFERENCES $(NF_SCHEMA).REQUEST (REQUEST_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_TIMESTAMP_EXT ADD CONSTRAINT RQRTMPEXT_FK1 FOREIGN KEY (REQUIREMENT_ID)
	REFERENCES $(NF_SCHEMA).REQUIREMENT (REQUIREMENT_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_TIMESTAMP_EXT ADD CONSTRAINT RQRTMPEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_TIMESTAMP_EXT ADD CONSTRAINT RQRHISTMPEXT_FK1 FOREIGN KEY (REQUIREMENT_HISTORY_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_HISTORY (REQUIREMENT_HISTORY_ID)
GO
	
ALTER TABLE $(CALM_SCHEMA).RQRMENT_HISTORY_TIMESTAMP_EXT ADD CONSTRAINT RQRHISTMPEXT_FK2 FOREIGN KEY (REQUIREMENT_ATTRDEF_ID)
	REFERENCES $(CALM_SCHEMA).RQRMENT_ATTRDEF (REQUIREMENT_ATTRDEF_ID)
GO

ALTER TABLE $(CALM_SCHEMA).RQRMENT_ENUMERATION ALTER COLUMN EXTERNAL_ID NVARCHAR(255)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_COMPONENT_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_COMPONENT_ID, COMPONENT_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_COMPONENT_ID, I.NAME AS COMPONENT_NAME
  FROM $(CALM_SCHEMA).REQUEST_COMPONENT_EXT E 
  JOIN $(NF_SCHEMA).COMPONENT I ON E.VAL_COMPONENT_ID = I.COMPONENT_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_CATEGORY_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_REQUEST_CATEGORY_ID, CATEGORY_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_CATEGORY_ID, I.NAME AS CATEGORY_NAME
  FROM $(CALM_SCHEMA).REQUEST_CATEGORY_EXT E 
  JOIN $(NF_SCHEMA).REQUEST_CATEGORY I ON E.VAL_REQUEST_CATEGORY_ID = I.REQUEST_CATEGORY_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_RESOURCE_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_RESOURCE_ID, RESOURCE_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RESOURCE_ID, I.FULL_NAME AS RESOURCE_NAME
  FROM $(CALM_SCHEMA).REQUEST_RESOURCE_EXT E 
  JOIN $(NF_SCHEMA).RESOURCE I ON E.VAL_RESOURCE_ID = I.RESOURCE_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_RELEASE_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_RELEASE_ID, RELEASE_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RELEASE_ID, I.NAME AS RELEASE_NAME
  FROM $(CALM_SCHEMA).REQUEST_RELEASE_EXT E 
  JOIN $(NF_SCHEMA).RELEASE I ON E.VAL_RELEASE_ID = I.RELEASE_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_ITERATION_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_ITERATION_ID, ITERATION_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_ITERATION_ID, I.NAME AS ITERATION_NAME
  FROM $(CALM_SCHEMA).REQUEST_ITERATION_EXT E 
  JOIN $(NF_SCHEMA).ITERATION I ON E.VAL_ITERATION_ID = I.ITERATION_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_PROJECT_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_PROJECT_ID, PROJECT_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_PROJECT_ID, I.NAME AS PROJECT_NAME
  FROM $(CALM_SCHEMA).REQUEST_PROJECT_EXT E 
  JOIN $(NF_SCHEMA).PROJECT I ON E.VAL_PROJECT_ID = I.PROJECT_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_TEAM_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_TEAM_ID, TEAM_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TEAM_ID, I.NAME AS TEAM_NAME
  FROM $(CALM_SCHEMA).REQUEST_TEAM_EXT E 
  JOIN $(NF_SCHEMA).TEAM I ON E.VAL_TEAM_ID = I.TEAM_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_TIMELINE_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_TIMELINE_ID, TIMELINE_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TIMELINE_ID, I.NAME AS TIMELINE_NAME
  FROM $(CALM_SCHEMA).REQUEST_TIMELINE_EXT E 
  JOIN $(NF_SCHEMA).TIMELINE I ON E.VAL_TIMELINE_ID = I.TIMELINE_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_REQUEST_EXT (REQUEST_ID, NAME, ISSOFTDELETED, VAL_REQUEST_ID, REQUEST_NAME) AS 
 (SELECT E.REQUEST_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_ID, I.NAME AS REQUEST_NAME
  FROM $(CALM_SCHEMA).REQUEST_REQUEST_EXT E 
  JOIN $(NF_SCHEMA).REQUEST I ON E.VAL_REQUEST_ID = I.REQUEST_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_COMPONENT_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_COMPONENT_ID, COMPONENT_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_COMPONENT_ID, I.NAME AS COMPONENT_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_COMPONENT_EXT E 
  JOIN $(NF_SCHEMA).COMPONENT I ON E.VAL_COMPONENT_ID = I.COMPONENT_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_CATEGORY_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_REQUEST_CATEGORY_ID, CATEGORY_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_CATEGORY_ID, I.NAME AS CATEGORY_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_CATEGORY_EXT E 
  JOIN $(NF_SCHEMA).REQUEST_CATEGORY I ON E.VAL_REQUEST_CATEGORY_ID = I.REQUEST_CATEGORY_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_RESOURCE_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_RESOURCE_ID, RESOURCE_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RESOURCE_ID, I.FULL_NAME AS RESOURCE_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_RESOURCE_EXT E 
  JOIN $(NF_SCHEMA).RESOURCE I ON E.VAL_RESOURCE_ID = I.RESOURCE_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_RELEASE_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_RELEASE_ID, RELEASE_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_RELEASE_ID, I.NAME AS RELEASE_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_RELEASE_EXT E 
  JOIN $(NF_SCHEMA).RELEASE I ON E.VAL_RELEASE_ID = I.RELEASE_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_ITERATION_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_ITERATION_ID, ITERATION_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_ITERATION_ID, I.NAME AS ITERATION_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_ITERATION_EXT E 
  JOIN $(NF_SCHEMA).ITERATION I ON E.VAL_ITERATION_ID = I.ITERATION_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_PROJECT_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_PROJECT_ID, PROJECT_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_PROJECT_ID, I.NAME AS PROJECT_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_PROJECT_EXT E 
  JOIN $(NF_SCHEMA).PROJECT I ON E.VAL_PROJECT_ID = I.PROJECT_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_TEAM_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_TEAM_ID, TEAM_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TEAM_ID, I.NAME AS TEAM_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_TEAM_EXT E 
  JOIN $(NF_SCHEMA).TEAM I ON E.VAL_TEAM_ID = I.TEAM_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_TIMELINE_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_TIMELINE_ID, TIMELINE_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_TIMELINE_ID, I.NAME AS TIMELINE_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_TIMELINE_EXT E 
  JOIN $(NF_SCHEMA).TIMELINE I ON E.VAL_TIMELINE_ID = I.TIMELINE_ID)
GO
  
CREATE VIEW $(CALM_SCHEMA).VW_RQST_HISTORY_REQUEST_EXT (REQUEST_HISTORY_ID, NAME, ISSOFTDELETED, VAL_REQUEST_ID, REQUEST_NAME) AS 
 (SELECT E.REQUEST_HISTORY_ID, E.NAME, E.ISSOFTDELETED, E.VAL_REQUEST_ID, I.NAME AS REQUEST_NAME
  FROM $(CALM_SCHEMA).REQUEST_HISTORY_REQUEST_EXT E 
  JOIN $(NF_SCHEMA).REQUEST I ON E.VAL_REQUEST_ID = I.REQUEST_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQRMENT_TIMESTAMP_EXT (REQUIREMENT_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM $(CALM_SCHEMA).RQRMENT_TIMESTAMP_EXT E 
  JOIN $(CALM_SCHEMA).RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN $(CALM_SCHEMA).RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID)
GO

CREATE VIEW $(CALM_SCHEMA).VW_RQRMENT_HIS_TIMESTAMP_EXT (REQUIREMENT_HISTORY_ID, NAME, IDENTIFIER, DATATYPE, TYPE_NAME, TYPE_IDENTIFIER, ISSOFTDELETED, VAL) AS
(SELECT E.REQUIREMENT_HISTORY_ID, A.NAME, A.IDENTIFIER, A.DATATYPE, T.NAME AS TYPENAME, T.IDENTIFIER AS TYPE_IDENTIFIER, E.ISSOFTDELETED, E.VAL 
  FROM $(CALM_SCHEMA).RQRMENT_HISTORY_TIMESTAMP_EXT E 
  JOIN $(CALM_SCHEMA).RQRMENT_ATTRDEF A ON A.REQUIREMENT_ATTRDEF_ID=E.REQUIREMENT_ATTRDEF_ID 
  JOIN $(CALM_SCHEMA).RQRMENT_TYPE T ON T.REQUIREMENT_TYPE_ID=A.REQUIREMENT_TYPE_ID)
GO

GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_COMPONENT_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_CATEGORY_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_RESOURCE_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_RELEASE_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_ITERATION_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_PROJECT_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_TEAM_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_TIMELINE_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_REQUEST_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_COMPONENT_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_CATEGORY_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_RESOURCE_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_RELEASE_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_ITERATION_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_PROJECT_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_TEAM_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_TIMELINE_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQST_HISTORY_REQUEST_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQRMENT_TIMESTAMP_EXT TO $(REP_USER)
GO
GRANT SELECT ON $(CALM_SCHEMA).VW_RQRMENT_HIS_TIMESTAMP_EXT TO  $(REP_USER)
GO

DROP TRIGGER $(NF_SCHEMA).TRG_TPOBJSTAD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TPSTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TPSTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TPINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TPTIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TCSTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TCSTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TCINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TCTIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSCSTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSCSTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSCINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSCTIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSUSTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSUSTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSUINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSUTIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EWISTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EWISTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EWIINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EWITIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSERSTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSERSTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSERINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSERTIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EXCRESSTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EXCRESSTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EXCRESINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_EXCRESTIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSULOGSTREXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSULOGSTRMEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSULOGINTEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_TSULOGTIMEEXTD
GO
DROP TRIGGER $(NF_SCHEMA).TRG_ITERDETD
GO

CREATE TRIGGER TRG_TPOBJSTAD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTPLAN_OBJECTIVESTATUS WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_TPSTREXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTPLAN_STRING_EXT WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPSTRMEXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTPLAN_STRING_M_EXT WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPINTEXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTPLAN_INT_EXT WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TPTIMEEXTD
    ON $(NF_SCHEMA).TESTPLAN

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTPLAN_TIMESTAMP_EXT WHERE  TESTPLAN_ID IN 
  (SELECT  TESTPLAN_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCSTREXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTCASE_STRING_EXT WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCSTRMEXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTCASE_STRING_M_EXT WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCINTEXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTCASE_INT_EXT WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TCTIMEEXTD
    ON $(NF_SCHEMA).TESTCASE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTCASE_TIMESTAMP_EXT WHERE  TESTCASE_ID IN 
  (SELECT  TESTCASE_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_TSCSTREXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSCRIPT_STRING_EXT WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSCSTRMEXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSCRIPT_STRING_M_EXT WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSCINTEXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSCRIPT_INT_EXT WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSCTIMEEXTD
    ON $(NF_SCHEMA).TESTSCRIPT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSCRIPT_TIMESTAMP_EXT WHERE  TESTSCRIPT_ID IN 
  (SELECT  TESTSCRIPT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUSTREXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITE_STRING_EXT WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUSTRMEXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITE_STRING_M_EXT WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUINTEXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITE_INT_EXT WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSUTIMEEXTD
    ON $(NF_SCHEMA).TESTSUITE

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITE_TIMESTAMP_EXT WHERE  TESTSUITE_ID IN 
  (SELECT  TESTSUITE_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_EWISTREXTD
    ON $(NF_SCHEMA).EXECUTION_WORKITEM

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECWORKITEM_STRING_EXT WHERE  EXECWORKITEM_ID IN 
  (SELECT  EXECWORKITEM_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EWISTRMEXTD
    ON $(NF_SCHEMA).EXECUTION_WORKITEM

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECWORKITEM_STRING_M_EXT WHERE  EXECWORKITEM_ID IN 
  (SELECT  EXECWORKITEM_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EWIINTEXTD
    ON $(NF_SCHEMA).EXECUTION_WORKITEM

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECWORKITEM_INT_EXT WHERE  EXECWORKITEM_ID IN 
  (SELECT  EXECWORKITEM_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EWITIMEEXTD
    ON $(NF_SCHEMA).EXECUTION_WORKITEM

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECWORKITEM_TIMESTAMP_EXT WHERE  EXECWORKITEM_ID IN 
  (SELECT  EXECWORKITEM_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_TSERSTREXTD
    ON $(NF_SCHEMA).TESTSUITE_EXECUTION_RECORD

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TSTSUITEXECREC_STRING_EXT WHERE  TESTSUITE_EXECRECORD_ID IN 
  (SELECT  TESTSUITE_EXECRECORD_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSERSTRMEXTD
    ON $(NF_SCHEMA).TESTSUITE_EXECUTION_RECORD

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TSTSUITEXECREC_STRING_M_EXT WHERE  TESTSUITE_EXECRECORD_ID IN 
  (SELECT  TESTSUITE_EXECRECORD_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSERINTEXTD
    ON $(NF_SCHEMA).TESTSUITE_EXECUTION_RECORD

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TSTSUITEXECREC_INT_EXT WHERE  TESTSUITE_EXECRECORD_ID IN 
  (SELECT  TESTSUITE_EXECRECORD_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSERTIMEEXTD
    ON $(NF_SCHEMA).TESTSUITE_EXECUTION_RECORD

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TSTSUITEXECREC_TIMESTAMP_EXT WHERE  TESTSUITE_EXECRECORD_ID IN 
  (SELECT  TESTSUITE_EXECRECORD_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESSTREXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECRES_STRING_EXT WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESSTRMEXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECRES_STRING_M_EXT WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESINTEXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECRES_INT_EXT WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_EXCRESTIMEEXTD
    ON $(NF_SCHEMA).EXECUTION_RESULT

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).EXECRES_TIMESTAMP_EXT WHERE  EXECUTION_RESULT_ID IN 
  (SELECT  EXECUTION_RESULT_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSULOGSTREXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITELOG_STRING_EXT WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSULOGSTRMEXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITELOG_STRING_M_EXT WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO
	
CREATE TRIGGER TRG_TSULOGINTEXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITELOG_INT_EXT WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_TSULOGTIMEEXTD
    ON $(NF_SCHEMA).TESTSUITELOG

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 

  DELETE FROM $(CALM_SCHEMA).TESTSUITELOG_TIMESTAMP_EXT WHERE  TESTSUITELOG_ID IN 
  (SELECT  TESTSUITELOG_ID FROM INSERTED )
 END
GO

CREATE TRIGGER TRG_ITERDETD
    ON $(NF_SCHEMA).ITERATION

    FOR UPDATE
AS
SET NOCOUNT ON
IF UPDATE(REC_DATETIME)
BEGIN 
	
  DELETE FROM $(CALM_SCHEMA).ITERATION_EXEC_DETAIL WHERE  ITERATION_ID IN 
  (SELECT  ITERATION_ID FROM INSERTED )
 END
GO

UPDATE $(CONFIG_SCHEMA).SYSCONFIG_INFO SET INT_VALUE=28, CHAR_VALUE='4.0.3 M4' WHERE INFO_ID=17
GO