CREATE INDEX $NF_SCHEMA.REQREV_IDX8 ON $NF_SCHEMA.REQUIREMENT_REVISION_HISTORY (REQUIREMENT_ID,REVISION_NUMBER,SOURCE_ID);

CREATE TRIGGER $NF_SCHEMA.TRG_TPTPHIER
	AFTER UPDATE OF REC_DATETIME ON $NF_SCHEMA.TESTPLAN
	REFERENCING NEW AS NEWROW
		OLD AS OLDROW
	FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
	DELETE FROM $NF_SCHEMA.TESTPLAN_TESTPLAN_HIERARCHY
	WHERE PARENT_TESTPLAN_ID=NEWROW.TESTPLAN_ID OR CHILD_TESTPLAN_ID=NEWROW.TESTPLAN_ID; END;

INSERT INTO $CONFIG_SCHEMA.SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) VALUES (9,'DATA_TRUNCATION','Interpreted as do not compute or delete data with dates earlier or equal to the value set',1,'1899-12-31');
UPDATE $CONFIG_SCHEMA.SYSCONFIG_INFO SET INT_VALUE=8, CHAR_VALUE='2.0.1 RC2' WHERE INFO_ID=18;