--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2013 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

-- GRANT CONNECT ON DATABASE TO USER $REP_USER;

GRANT SELECT ON $CALM_SCHEMA.VW_RQST_COMPONENT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_CATEGORY_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_RESOURCE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_RELEASE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_ITERATION_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_PROJECT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_TEAM_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_TIMELINE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_REQUEST_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_COMPONENT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_CATEGORY_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_RESOURCE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_RELEASE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_ITERATION_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_PROJECT_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_TEAM_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_TIMELINE_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_REQUEST_EXT TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_REQUEST_APPROVAL_TYPE TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_REQUEST_APPROVAL_STATE TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_REQUEST_APPROVAL_DESCRIPTOR TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_REQUEST_APPROVAL TO $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TEAM_CAPACITY TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_SCALAR_COUNTER TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RANGE_COUNTER TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_INTEGRAL_RANGE_COUNTER TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_ITEM_TYPE_STORAGE TO USER $REP_USER;

GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_BASELINE TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_LONG_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_BOOL_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_STRING_L_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_DECIMAL_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_LONG_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_BOOL_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_STRING_L_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_HISTORY_DECIMAL_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQST_ENUMERATION TO USER $REP_USER;

GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HISTORY TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_DATE_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_STRING_L_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_DECIMAL_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_BOOL_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_ENUMERATION TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HIS_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HIS_BOOL_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HIS_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HIS_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HIS_STRING_L_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_HIS_DECIMAL_EXT TO USER $REP_USER;

GRANT SELECT ON $CALM_SCHEMA.VW_KEYWORD TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_KEYWORD_CLASSIFICATION TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_KEYWORD_SCRIPT_LOOKUP TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_QUALITY_OBJECTIVE TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_OBJECTIVE_CLASSIFICATION TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTPLAN_OBJECTIVESTATUS TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTPLAN_OBJECTIVE_LOOKUP TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_LABREQUEST TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_LABREQUEST_CLASSIFICATION TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_LABREQUEST_CHANGESTATE TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RESERVATION_LABREQ_LOOKUP TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTPLAN_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTPLAN_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTPLAN_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTPLAN_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTPLAN_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTCASE_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTCASE_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTCASE_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTCASE_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSCRIPT_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSCRIPT_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSCRIPT_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSCRIPT_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITE_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITE_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITE_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITE_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECWORKITEM_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECWORKITEM_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECWORKITEM_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECWORKITEM_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TSTSUITEXECREC_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TSTSUITEXECREC_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TSTSUITEXECREC_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TSTSUITEXCREC_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECRES_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECRES_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECRES_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_EXECRES_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITELOG_STRING_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITELOG_STRING_M_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITELOG_INT_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_TESTSUITELOG_TIMESTAMP_EXT TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_ITERATION_EXEC_DETAIL TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMNT_EXT_LINK TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_ATTRDEF TO USER $REP_USER;
GRANT SELECT ON $CALM_SCHEMA.VW_RQRMENT_TYPE TO USER $REP_USER;
COMMIT;


