/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	'pageTitle': "Cluster Nodes",
	'pageDescription': "This page provides a list of all nodes in the cluster. Use the table below to check the status of individual nodes.",
	'nodeListHeading': "Cluster Nodes",
	
	//table headings
		
	'hOnline' : "Online",
	'hIp' : "IP Address",
	'hHost' : "Hostname",
	'hMemory': "Memory Usage",
	'hUptime': "Uptime",
	'hDiagnostics': "Diagnostics",
	'hCPU': "CPU Load",
	'hNodeId': "Node ID",
	'hActiveServices': "Active Services",
	
	'viewActiveServices': "Click to view the Active Services for this node.",
	
	'noClusterNodes': "There are no nodes in this cluster or an error occurred while fetching the list of nodes.",
	'online': "Online",
	'offline': "Offline",
	'unknown': "Unknown",
	'loading': "Loading...",
	'showDetails': "Show Details",
	'hideDetails': "Hide Details",
	'forgetNode': "Forget Node",
	
	'loadingPage': "Contacting all of the nodes in the cluster. Please wait...",
	
	'errorFetchingNodeList': "CRJAZ2204E The server cannot get the list of nodes in the cluster. For more information, view the error details and check the server log file.",
	'errorFetchingNodeList.explanation': "The server encountered an unexpected error while trying to fetch the list of cluster nodes.",
	'errorFetchingNodeList.useraction': "View the details that are included with the error message, and check the server log file.",
	
	'errorFetchingNodeDetails': "CRJAZ2203E The server was unable to get detailed information for node \"${0}\".",
	'errorFetchingNodeDetails.explanation': "The server encountered an error while trying to contact the node. The node may be offline or experiencing other issues.",
	'errorFetchingNodeDetails.useraction': "View the details that are included with the error message, and ensure that the node is online and reachable.",
	
	'someNodeDataUnavailable': "CRJAZ2466W Some of the node data is unavailable. For more information about this problem, view the server log file.",
	'someNodeDataUnavailable.explanation': "The server was able to contact all of the cluster nodes, but not all of the detailed information for each node was available.",
	'someNodeDataUnavailable.useraction': "Check the server log file on any cluster nodes experiencing issues. Refresh the Cluster Nodes page to retry the operation.",
	
	'someNodesUnreachable': "CRJAZ2467W Some of the cluster nodes are unreachable. Consult the table below to see more details. If you have taken one of the nodes offline permanently, you may wish to click \"Forget Node\" to remove it from the list.",
	'someNodesUnreachable.explanation': "One or more of the cluster nodes is currently unreachable. The node may be offline or experiencing other issues.",
	'someNodesUnreachable.useraction': "Check the cluster nodes to ensure that they are online and reachable. View the Cluster Nodes page and server log file for additional information.",
	
	'errorDeletingNodeDetailed': "CRJAZ2479E The \"Forget Node\" operation encountered errors. For more information, view the error details and check the server log file. You may retry the operation.",
	'errorDeletingNodeDetailed.explanation': "The \"Forget Node\" operation encountered errors. Some of the listeners were unable to forget this node.",
	'errorDeletingNodeDetailed.useraction': "View the details that are included with the error message, and check the server log file. You may retry the operation.",
	
	'errorDeletingNode': "CRJAZ2478E The request to forget the cluster node was not successful. For more information, view the error details and check the server log file.",
	'errorDeletingNode.explanation': "The server encountered an unexpected error while trying to forget the cluster node.",
	'errorDeletingNode.useraction': "View the details that are included with the error message, and check the server log file."
	
})
