/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
/*
 * NOTE: Please do not change or remove any tags (e.g. "<0>text</0>"). They are used to denote hyperlinks and style.
 */
({
	
	// Operational Error Messages

	'permissionDenied': "CRRDV0008E The team hierarchy cannot be shown.",
	'permissionDenied_explanation': "The server cannot retrieve the selected project or parent team area because read permission to that area is missing (HTTP Status Code: 403).",
	'permissionDenied_useraction': "Contact an administrator for the selected project or parent team area, and request read access.",
	// Last UA revision: March 8, 2012
	
	// General Messages
	
	'title': "Teams",
	'titleScoped': "${0} Teams",
	'noTeamsForProject': "There are no teams for this project area.",
	'noTeamsForTeam': "There are no sub-teams for this team area.",
	'notScoped': "This widget is not scoped to a team or project area.",
	'notScopedEdit': " Please select one from the widget <0>Settings</0>."
	
})
