/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.wizard.schema.SetupWizardDescriptor");

(function() {

var NAMESPACES = {
	jd:	"http://jazz.net/xmlns/prod/jazz/discovery/1.0/",
	jfs: "http://jazz.net/xmlns/foundation/1.0/",
	rdf: "http://www.w3.org/1999/02/22-rdf-syntax-ns#",
	j0: "http://jazz.net/xmlns/prod/jazz/jfs/1.0/"
};

var setupWizardDescriptor = {
	namespaces: NAMESPACES,
	url: ["string", "jd:service/@rdf:resource", "1"]
};

com.ibm.team.repository.web.ui.internal.wizard.schema.SetupWizardDescriptor = {
	
	descriptorService: {
		namespaces: NAMESPACES,
		setupWizardDescriptor: [setupWizardDescriptor, "j0:setupWizardDescriptor", "*"]
	}
}

})();	
